2008-05-30  Olav Vitters  <olav@bkor.dhs.org>

	* src/keybinding-editor.glade: Horizontally fill 
	disable-mnemonics-checkbutton, otherwise it will centre when the
	keybindings window is made bigger.

2008-05-05  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* src/terminal-window.c (help_about_callback): Fixup
	names in about dialog to correctly list the current
	maintainers.

2008-03-26  Kjartan Maraas  <kmaraas@gnome.org>

	* src/terminal-profile.c: (terminal_profile_create):
	Patch from chantra at debuntu.com to fix the exit action.
	Closes bug #518184.

2008-03-19  Christian Persch  <chpe@gnome.org>

	* src/terminal.c: (terminal_app_new_terminal): Fix DetachTab action.
	Bug #521193, regression from bug #353775.

2008-03-16  Kjartan Maraas  <kmaraas@gnome.org>

	* src/skey/btoe.c: (extract):
	* src/skey/md5.c:
	* src/skey/sha1.c:
	* src/terminal-widget-vte.c: (terminal_widget_set_pango_font):
	* src/terminal.c: (slowly_and_stupidly_obtain_timestamp):
	Fix compiler warnings. Closes bug #521417.

2008-03-10  Behdad Esfahbod  <behdad@gnome.org>

	* NEWS:
	* configure.in:
	=== Release 2.22.0 ===

2008-02-26  Olav Vitters  <olav@bkor.dhs.org>

	* configure.in: Post-release bump to 2.21.93.

	=== Release 2.21.92 ===

2008-02-26  Olav Vitters  <olav@bkor.dhs.org>

	* NEWS: Update for 2.21.92.

2008-02-25  Christian Persch  <chpe@gnome.org>

	Bug 516778 – Menu items not drawn at startup if use-mnemonics==false

	* src/terminal-window.c: (terminal_window_init): Force rebuilding the
	toplevel menuitem labels, so they don't end up empty when
	use-mnemonics is false. Bug #516778.

2008-02-23  Christian Persch  <chpe@gnome.org>

	* src/gnome-terminal.glade2: Strip the invisible_char properties,
	again. Glade2 sucks. Bug #518282.

2008-02-12  Christian Persch  <chpe@gnome.org>

	=== Release 2.21.91.1 ===

	* configure.in: Update for 2.21.91.1
	* src/terminal-screen.c: (terminal_screen_finalize): Initialise
	variable.

2008-02-11  Christian Persch  <chpe@gnome.org>

	=== Release 2.21.91 ===

2008-01-30  Andre Klapper  <a9016009@gmx.de>

	Bug 511700 – port to gio

	* configure.in:
	* src/profile-editor.c:
	* src/terminal-screen.c: Port to gio, cleanup.
 
2008-02-10  Behdad Esfahbod  <behdad@gnome.org>

	Bug 515587 – Use of explicit suffix in 'Icon' field of application
	launcher

	* gnome-terminal.desktop.in.in: Drop the png extension from icon name.

2008-02-05  Behdad Esfahbod  <behdad@gnome.org>

	Bug 514661 – crash launching g-t with specific args

	* src/terminal.c (option_command_callback): Set err to NULL before
	calling into GError-taking API.

2008-02-05  Christian Persch  <chpe@gnome.org>

	* src/terminal-screen.c: (terminal_screen_class_init),
	(terminal_screen_dispose), (terminal_screen_finalize): Disconnect from
	the settings notify on dispose instead of finalise. Possibly fixes the
	crash in bug #514318.

2008-02-04  Christian Persch  <chpe@gnome.org>

	* gnome-terminal.desktop.in.in: Direct bug-buddy bugs to the BBB component.

2008-01-30  Christian Persch  <chpe@gnome.org>

	* src/Makefile.am: Don't dist the generated schemas file.

2008-01-30  Christian Persch  <chpe@gnome.org>

	=== Release 2.21.90 ===

2008-01-28  Christian Persch  <chpe@gnome.org>

	* src/terminal.c: (terminal_util_set_atk_name_description): 
	Use G_STRFUNC instead of the deprecated G_GNUC_FUNCTION.

2008-01-20  Christian Persch  <chpe@gnome.org>

	* src/gnome-terminal.glade2: Remove extra frame from profile editor.

2008-01-20  Christian Persch  <chpe@gnome.org>

	* src/gnome-terminal.glade2:
	* src/gnome-terminal.schemas.in:
	* src/profile-editor.c: (profile_changed), (terminal_profile_edit),
	(profile_editor_update_sensitivity):
	* src/terminal-profile.c: (terminal_profile_init),
	(terminal_profile_update), (profile_change_notify),
	(terminal_profile_create):
	* src/terminal-profile.h:
	* src/terminal-screen.c: (terminal_screen_sync_settings),
	(terminal_screen_screen_changed), (terminal_screen_class_init),
	(terminal_screen_finalize), (terminal_screen_reread_profile): Use the
	gtk-cursor-blink setting, and remove the profile option. Bug #342921,
	based on a patch by Mariano Suárez-Alvarez.

2008-01-15  Christian Persch  <chpe@gnome.org>

	=== Release 2.21.5 ===

	* NEWS:
	* configure.in:

2008-01-15  Christian Persch  <chpe@gnome.org>

	* src/profile-editor.c: (terminal_profile_edit):
	* src/terminal-window.c: (terminal_window_init): Remove last uses of
	old tooltips API.

2008-01-15  Christian Persch  <chpe@gnome.org>

	* src/terminal-window.c: (terminal_window_class_init),
	(sync_tab_label), (tab_label_style_set_cb), (contruct_tab_label):
	Update to gtk 2.12 tooltips API, and fix cropping of close buttons with
	gnome-icon-theme svn.

2008-01-05  Badral Sanlig <badral@openmn.org>

	* po/mn.po: Updated Mongolian translation.

2008-01-05  Christian Persch  <chpe@gnome.org>

	* src/terminal.c: (main), (get_goption_context): The GnomeProgram
	adopts the GOptionContext, don't free it twice.

2008-01-02  Behdad Esfahbod  <behdad@gnome.org>

	Bug 336155 – [patch] port gnome-terminal to goption
	Based on patch from Christian Kirbach

	* src/terminal.c: Migrate from popt to GOption, and clean up.
	* configure.in: Rquire glib-2 >= 2.12.0, libgnome-2 >= 2.14.0

2007-12-28  Behdad Esfahbod  <behdad@gnome.org>

	* MAINTAINERS: Removed Guilherme, added chpe.

2007-12-20  Christian Persch  <chpe@gnome.org>

	* src/skey/md5.c: (MD5Keycrunch), (MD5SKey):
	* src/skey/sha1.c: (SHA1Keycrunch), (SHA1SKey): Adapt to new API
	for g_checksum_get_digest.

2007-12-17  Behdad Esfahbod  <behdad@gnome.org>

	* NEWS:
	* configure.in: Released 2.21.4

2007-12-08  Christian Persch  <chpe@gnome.org>

	* configure.in:
	* src/skey/md5.c: (MD5Keycrunch), (MD5SKey):
	* src/skey/md5.h:
	* src/skey/sha1.c: (SHA1Keycrunch), (SHA1SKey):
	* src/skey/sha1.h:
	* src/skey/skey.c:
	* src/skey/skeyutil.c: Use GChecksum instead of our own MD5 and SHA1
	implementations. Bug #501667.

2007-12-05  Behdad Esfahbod  <behdad@gnome.org>

	Bug 501635 – crash in Terminal: running gnome-session-sa...

	* src/terminal.c (terminal_app_get_clone_command): NULL-terminate the
	array.

2007-12-04  Behdad Esfahbod  <behdad@gnome.org>

	Bug 501665 – Remove simple-x-font-selector

	* src/Makefile.am:
	* src/profile-editor.c (profile_changed), (terminal_profile_edit),
	(profile_editor_update_sensitivity), (profile_editor_update_font):
	* src/simple-x-font-selector.c:
	* src/simple-x-font-selector.h:
	* src/terminal-profile.c (terminal_profile_init),
	(terminal_profile_finalize), (terminal_profile_update),
	(profile_change_notify), (terminal_profile_create):
	* src/terminal-profile.h:
	* src/terminal-screen.c (terminal_screen_set_font),
	(terminal_screen_update_scrollbar):
	* src/terminal-widget-vte.c:
	Remove simple-x-font-selector:
		Makefile.am              |    2 
		profile-editor.c         |  155 ----
		simple-x-font-selector.c | 1730
		-----------------------------------------------
		simple-x-font-selector.h |  180 ----
		terminal-profile.c       |   61 -
		terminal-profile.h       |    4 
		terminal-screen.c        |  314 --------
		terminal-widget-vte.c    |    6 
		8 files changed, 41 insertions(+), 2411 deletions(-)

2007-12-04  Behdad Esfahbod  <behdad@gnome.org>

	* src/encoding.c (terminal_encoding_free),
	(terminal_encoding_copy), (terminal_encoding_init):
	* src/profile-editor.c (color_scheme_changed),
	(palette_scheme_changed),
	(profile_editor_update_color_scheme_menu),
	(profile_editor_update_palette), (profile_editor_update_x_font),
	(profile_editor_update_background_type):
	* src/skey/btoe.c (btoe), (extract):
	* src/skey/skey.c (skey_test):
	* src/skey/skeyutil.c:
	* src/terminal-accels.c:
	* src/terminal-profile.c:
	* src/terminal-screen.c (terminal_screen_set_font):
	* src/terminal-window.c (terminal_window_realized_callback):
	* src/terminal.c (slowly_and_stupidly_obtain_timestamp), (main),
	(terminal_app_new_terminal):
	Fix bunch of compiler warnings.

2007-12-04  Behdad Esfahbod  <behdad@gnome.org>

	Bug 144000 – encodings other than the current encoding are not listed
	in gnome-terminal on Solaris.

	* src/encoding.c: Fix typo in the name of three encoding.

2007-12-04  Behdad Esfahbod  <behdad@gnome.org>

	Bug 144000 – encodings other than the current encoding are not listed
	in gnome-terminal on Solaris.

	* src/encoding.c (terminal_encoding_init): Fix encoding sanity check.

2007-12-03  Behdad Esfahbod  <behdad@gnome.org>

	* NEWS:
	* configure.in: Released 2.21.3 (synch with GNOME release number)

2007-12-01  Behdad Esfahbod  <behdad@gnome.org>

	Bug 499877 – Update terminal_app_get_clone_command() to use g_array
	Patch from Dubon

	* src/terminal.c (terminal_app_get_clone_command): Use GPtrArray to
	simplify code.

2007-11-27  Christian Persch  <chpe@gnome.org>

	* src/terminal.c: Revert accidental whitespace changes from commit
	2289.

2007-11-27  Christian Persch  <chpe@gnome.org>

	R src/terminal-notebook.c:
	R src/terminal-notebook.h: And remove the obsolete files.

2007-11-26  Behdad Esfahbod  <behdad@gnome.org>

	Bug 499588 – remove menu icons handling code
	Patch from Christian Persch

	* src/terminal-window.c (append_menuitem_common),
	(append_menuitem), (append_stock_menuitem), (terminal_window_init):
	Gtk is taking care of the menus-have-icons setting itself. Remove this
	totally crufty code to check the gconf setting and remove/re-add the
	menu icons!

2007-11-26  Behdad Esfahbod  <behdad@gnome.org>

	Bug 353775 – Use GtkNotebook instead of TerminalNotebook
	Patch from Christian Persch and Mariano Suárez-Alvarez

	* src/Makefile.am:
	* src/terminal-screen.c:
	* src/terminal-window.h:
	* src/terminal.c:
	* src/terminal.h:
	Do that.

2007-11-26  Behdad Esfahbod  <behdad@gnome.org>

	Bug 441618 – Message-ID/news-Link crashes gnome-terminal

	* src/terminal-widget-vte.c (terminal_widget_check_match),
	(terminal_widget_skey_check_match): Return flavor as flavor,
	not tag as flavor.

2007-11-26  Behdad Esfahbod  <behdad@gnome.org>

	* NEWS:
	* configure.in: Released 2.18.3

2007-11-12  Chris Wilson  <chris@chris-wilson.co.uk>

	Bug 494828 – crash in Terminal: Using elinks in a termin...

	* src/terminal.c (terminal_util_show_error_dialog):
	We were passing an unescaped tainted string as the format to
	printf via gtk_message_dialog_new()...

2007-11-26  Behdad Esfahbod  <behdad@gnome.org>

	Bug 499797 – crash in Terminal: Creating a new profile b...

	* src/terminal-profile.c (terminal_profile_update):
	Return on NULL parameter.

	* src/terminal-profile.c (alphabetic_cmp): Compare
	profile names if visual names are equal.
	
	* src/terminal-profile.h:
	* src/terminal-profile.c (terminal_profile_create):
	Return actual name used.

	* src/terminal.c (new_profile_response_callback):
	Use actual name returned by terminal_profile_create() to avoid
	crashing if profile with dup name is created.

2007-11-09  Takao Fujiwara  <takao.fujiwara@sun.com>

	Bug 471700 – gnome-terminal has an unlocalized license text.

	* src/terminal-window.c: Add N_ macro in license.

2007-09-17  Behdad Esfahbod  <behdad@gnome.org>

	* NEWS:
	* configure.in: Released 2.18.2

2007-08-07  Behdad Esfahbod  <behdad@gnome.org>

	* MAINTAINERS: Add Userid field.

2007-08-07  Behdad Esfahbod  <behdad@gnome.org>

	Bug 464410 – license confusion

	"gnome-terminal states that it is GPL, and COPYING is the GPL,
	but every single source file seems to have a LGPL header."

	* src/eggaccelerators.c:
	* src/eggcellrendererkeys.c:
	* src/encoding.c:
	* src/profile-editor.c:
	* src/simple-x-font-selector.c:
	* src/skey-popup.c:
	* src/terminal-accels.c:
	* src/terminal-notebook.c:
	* src/terminal-profile.c:
	* src/terminal-screen.c:
	* src/terminal-widget-vte.c:
	* src/terminal-window.c:
	* src/terminal.c:
	Replace LPGL header with GPL header.
	Note that LPGL allows conversion to GPL, so this change is legal
	anyway.

2007-08-02  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* ChangeLog: Fix encodings and formatting.

2007-07-30  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* configure.in: Remove help/de/Makefile from AC_CONFIG_FILES due to
	gnome-doc-utils migration.

2007-07-21  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* src/gnome-terminal.schemas.in:
	* src/profile-editor.c:
	* src/terminal-profile.c:

	Use Tango terminal color scheme by default.
	Fixes bug #458115.

2007-07-15  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-window.c (about_callback): fixed the wrong mention
	of Nautilus on the license notice.

2007-07-10  Changwoo Ryu  <cwryu@debian.org>

	* configure.in: Removed help/ko/Makefile from AC_CONFIG_FILES for
	gnome-doc-utils migration.
	

2007-06-18  Behdad Esfahbod  <behdad@gnome.org>

	* NEWS:
	* configure.in: Released 2.18.1

2007-06-14  Behdad Esfahbod  <behdad@gnome.org>

	Bug 353632 – crash on Terminal

	* src/profile-editor.c (profile_editor_update_background_image):
	Don't call gtk_file_chooser_set_filename() if file name is empty
	string.

2007-05-28  Behdad Esfahbod  <behdad@gnome.org>

	Bug 428825 – Wrong copyright info in the about dialog

	* src/terminal-window.c (about_callback): Update copyright info.

2007-05-16  Christian Persch  <chpe@gnome.org>

	* src/profile-editor.c: (create_preview_pixbuf): Don't crash when we
	cannot determine the mime type of the profile image. Bug #434109.

2007-03-12  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.18.1.

==================== 2.18.0 ====================

2007-03-12  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* configure.in: version 2.18.0

2007-03-12  Vincent Untz  <vuntz@gnome.org>

	* configure.in: remove creation of help/uk/Makefile

2007-03-09  Mariano Suárez-Alvarez  <mariano@gnome.org>

	* gnome-terminal.desktop.in.in: remove the non existente Application 
	category.

2007-02-27  Behdad Esfahbod  <behdad@gnome.org>
	
	Bug 412733 – fix build with C89 compilers
	Patch from Jens Granseuer

	* src/skey-popup.c (extract_hash_seq_and_seed): Fix C89 build.

2007-02-27  Mariano Suárez-Alvarez  <mariano@gnome.org>

	* NEWS: updated
	* configure.in: release 2.17.92.

2007-02-21  Behdad Esfahbod  <behdad@gnome.org>

	Bug 410286 – discards qualifiers from pointer target type
	Patch from Kouhei Sutou

	* src/skey-popup.c (extract_hash_seq_and_seed):
	* src/terminal-screen.c (cook_title):
	s/gchar/const gchar/

2007-02-21  Behdad Esfahbod  <behdad@gnome.org>

	Bug 410281 – gcc: -lXrender -lX11 : linker input file unused because
	linking not done
	Patch from Kouhei Sutou

	* configure.in: Move linker flags to the right place.

2007-02-11  Mariano Suárez-Alvarez  <mariano@gnome.org>

	* NEWS: updated.
	* configure.in: bump vte requirement to 0.15.3 and release 2.17.91.

2007-02-11  Mariano Suárez-Alvarez  <mariano@gnome.org>

	* po/POTFILES.skip: list gnome-terminal.desktop.in to please intltool at distcheck
	time.
	
2007-02-10  Mariano Suárez-Alvarez  <mariano@gnome.org>

	Bug 402796 – reordering tabs disable key bindings for 1 time

	* src/terminal-window.c(notebook_tab_removed_callback): update the tab menuitems
	sensitivities too when tabs are reordered.

2007-01-23  Mariano Suárez-Alvarez  <mariano@gnome.org>

	Bug 402051 – Memleak from callers of terminal_profile_get_list()

	* src/terminal-window.c(fill_in_config_picker_submenu,
	fill_in_new_term_submenu_real): free the list of profiles in all cases.
	Patch from Chris Wilson.

2007-01-23  Mariano Suárez-Alvarez  <mariano@gnome.org>

	* HACKING: add a link to release instructions.

2007-01-22  Mariano Suárez-Alvarez  <mariano@gnome.org>

	* NEWS: updated
	* configure.in: release 2.17.90.

2007-01-22  Behdad Esfahbod  <behdad@gnome.org>

	Bug 125364 – vte screens are black when initially shown
	Patch from Mariano Suárez-Alvarez

	* src/terminal-screen.c (terminal_screen_reread_profile),
	(update_color_scheme): Update the color scheme earlier in the show.

2007-01-19  Mariano Suárez-Alvarez  <mariano@gnome.org>

	Bug 385519 – configure script doesn't recognize old GConf

	* configure.in: require gconf 2.14.0
	
	Also fix my email in the last few changlog entries...

2007-01-15  Christian Persch  <chpe@svn.gnome.org>

	* configure.in: Remove help/it/Makefile from configure to fix the
	build.

2006-11-23  Mariano Suárez-Alvarez  <mariano@gnome.org>

	Bug 335946 – tab menu needs to be shortened

	* src/terminal-window (title_changed_callback, reset_tab_menuitems):
	Ellipsise the tab titles when putting them in the menubar menuitem.
	Based on the patch attached on the bug by Diego Escalante Urrelo

2006-11-23  Mariano Suárez-Alvarez  <mariano@gnome.org>

	Bug 378243 – crash in Terminal: Copy item activated on a destroyed 
	window popup.

	* src/terminal_screen.c (terminal_screen_class_init,
	terminal_screen_unrealize): override GtkWidget:unrealize so we
	destroy the popup upon unrealizing, just as GtkEntry, say, does.

2006-11-23  Mariano Suárez-Alvarez  <mariano@gnome.org>

	* configure.in: the last commit left behind one instance of
	CFLAGS which should have been CPPFLAGS.

2006-11-23  Mariano Suárez-Alvarez  <mariano@gnome.org>

	Bug 362256 – configure kills CPPFLAGS set on configure command line

	* configure.in: add TERM_CFLAGS to CPPFLAGS, not CFLAGS.

2006-11-23  Mariano Suárez-Alvarez  <mariano@gnome.org>

	* configure.in: use GNOME_COMPILE_WARNINGS instead of out own check.

2006-11-23  Mariano Suárez-Alvarez  <msuarezalvarez@arnet.com.ar>

	* src/terminal.c (terminal_app_new_terminal): put the focus on a new
	screen when we create a tab.

2006-11-16  Mariano Suárez-Alvarez  <msuarezalvarez@arnet.com.ar>

	Bug 322709 – respect show-input-method-menu setting
	Patch from Matthias Clasen.

	* src/terminal-screen.c (popup_clipboard_request_callback):
	Respect the show-input-method-menu setting.

2006-10-17  Mariano Suárez-Alvarez  <msuarezalvarez@arnet.com.ar>

	Bug 354234 – Don't ignore terminal default sizes, and copy zoom to 
	new terminals

	* src/terminal-window.c (notebook_tab_added_callback): do not hardcode
	the 80x24 size but use the default provided by vte (which could be
	changed in vte's termcap) Also, move the copy-zoom-from-active-terminal
	handling from new_tab_callback to here.

2006-10-17  Mariano Suárez-Alvarez  <msuarezalvarez@arnet.com.ar>

	Bug 338613 – "Detach Tab" menu item is missing a mnemonic

	* src/terminal-window (terminal_window_init): add a mnemonic to the
	Detach Tab menu option. Patch by Dennis Cranston.

2006-10-17  Mariano Suárez-Alvarez  <msuarezalvarez@arnet.com.ar>

	* src/terminal-window.c (confirm_close_window): be slightly less verbose
	in the confirmation dialog. Induced by Wouter Bolsterlee's bug 340940.

2006-10-17  Mariano Suárez-Alvarez  <msuarezalvarez@arnet.com.ar>

	Bug 160455 – Change "system terminal font" to "system monospace font"

	* src/gnome-terminal.glade2: s/terminal font/fixed width font/ in the 
	profile editor dialog, so that out language matches
	gnome-font-properties'.

2006-10-17  Mariano Suárez-Alvarez  <msuarezalvarez@arnet.com.ar>

	Bug 79326 – When making things insensitive, doesn't catch their label

	* src/profile-editor.c (profile_editor_update_sensitivity):
	when changing the sensibility of a widget, do the same for its menmonic 
	label. Essentially the patch by Michael Terry.

2006-10-12  Mariano Suárez-Alvarez  <msuarezalvarez@arnet.com.ar>

	Bug 362159 – es doc to gnome-doc-utils

	* configure.in: remove help/es/Makefile from AC_CONFIG_FILES,
	because it is no longer there after the g-u-d-ization of help/es.

2006-10-12  Wouter Bolsterlee  <wbolster@gnome.org>

	* src/terminal-window.c (terminal_window_set_active),
	(notebook_page_selected_callback):
	Hopefully fix the annoying window resizing bug triggered
	by switching between multiple tabs. Fixes bug #95316,
	patch by Eric Anderson.

2006-10-12  Mariano Suárez-Alvarez  <msuarezalvarez@arnet.com.ar>

	Bug 360385 – Context menu has two uses for "c" key

	* src/terminal-screen.c (popup_clipboard_request_callback): don't have
	clashing shortcuts for Close and Copy when there is only one tab.

2006-10-12  Mariano Suárez-Alvarez  <msuarezalvarez@arnet.com.ar>

	Bug 358267 – set_palette() compares uninitialized memory
	Bug 124417 – Use of uninitialized value of size 4

	* src/terminal-profile.c: do not compare GdkColors using memcmp,
	as the pixel thingie gets in the way. I officially owe Mark Schreiber 
	a beer.

2006-10-06  Wouter Bolsterlee  <wbolster@gnome.org>

	* src/terminal-window.c: (new_tab_callback):
	Remember zoom setting for new tabs. Fixes bug #335200 .

2006-10-06  Wouter Bolsterlee  <wbolster@gnome.org>

	* src/profile-editor.c:
	* src/terminal-profile.c:
	* src/terminal-profile.h:
	Include Tango color scheme.  Fixes bug #356389.

2006-10-02  Guilherme de S. Pastore  <gpastore@gnome.org>

	* NEWS: updated.

	* configure.in: release 2.16.1.

2006-10-02  Behdad Esfahbod  <behdad@gnome.org>

	Bug 342531 – --title option does nothing
	Patch from Owen Swerkstrom

	* src/terminal-screen.c (terminal_screen_init),
	(terminal_screen_finalize, cook_title),
	(terminal_screen_set_dynamic_icon_title),
	(terminal_screen_set_title):
	* src/terminal-screen.h:
	* src/terminal.c (terminal_app_new_terminal): Honor --title.

2006-09-22  Guilherme de S. Pastore  <gpastore@gnome.org>

	Bug 353732 – patch from Mariano Suárez-Alvarez

	* src/terminal-notebook.c: do not leak tooltips and recycle
	  GtkRcStyle.

2006-09-22  Guilherme de S. Pastore  <gpastore@gnome.org>

	Bug 353553 – list leak in notebook::sync_label
	Patch from Paolo Borelli

	* src/terminal-notebook.c (sync_label): free the results of
	  gtk_container_get_children.

2006-09-04  Behdad Esfahbod  <behdad@gnome.org>

	* NEWS: updated.

	* configure.in: released 2.16.0.

2006-09-02  Behdad Esfahbod  <behdad@gnome.org>

	Bug 354056 – Build broken: missing help/fr/Makefile.am

	* configure.in: Remove help/fr/Makefile and help/sv/Makefile
	from output files as they are moved to gnome-doc-utils (geer)

	* help/sv/Makefile.am: Remove this as it's not used anymore.

2006-08-31  Behdad Esfahbod  <behdad@gnome.org>

	Bug 351319 – crash on Terminal
	Patch from Mariano Suárez-Alvarez

	* src/terminal-window.c (terminal_window_destroy): Don't remove
	screens, let the container take care of them.

2006-08-28  Behdad Esfahbod  <behdad@gnome.org>

	Part of Bug 352873 – crash in Terminal: Edit current profile aft...
	Patch from Mariano Suárez-Alvarez

	* src/profile-editor.c (background_image_changed): Return if filename
	is NULL.

2006-08-26  Behdad Esfahbod  <behdad@gnome.org>

	Bug 353020 – Detaching a tab does not preserve the size
	Patch from Mariano Suárez-Alvarez

	* src/terminal-window.c (new_window): Preserve geometry.

2006-08-26  Behdad Esfahbod  <behdad@gnome.org>

	Bug 336943 – Critical warning and crash in gnome-terminal
	Patch from Mariano Suárez-Alvarez

	* src/terminal-window.c (fill_in_config_picker_submenu),
	(fill_in_new_term_submenu_real), (fill_in_encoding_menu):
	Use gtk_menu_item_remove_submenu() instead of passing NULL to
	gtk_menuitem_set_submenu().

2006-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Fix intltool req.

2006-08-05  Bastien Nocera  <hadess@hadess.net>

	* src/terminal-window.c: (accel_event_key_match):
	Only send Previous tab/Next tab key events to the terminal if there's
	no tab, and not when we reach the boundary with multiple tabs,
	and ignore NumLock as well (Closes: #138609)

2006-07-31  Behdad Esfahbod  <behdad@gnome.org>

	* NEWS: updated.

	* configure.in: released 2.15.4.

2006-07-31  Behdad Esfahbod  <behdad@gnome.org>

	Bug 349459 – does not assert dependency on gdk 2.10

	* configure.in: Require Gtk+ 2.10 as we use the new API for composite
	detection.

2006-07-30  Behdad Esfahbod  <behdad@gnome.org>

	Bug 85926 – dnd'd filenames should be escaped
	Patch from Thomas Folz-Donahue

	* src/terminal-screen.c (drag_data_received): Quote filenames.

2006-07-24  Behdad Esfahbod  <behdad@gnome.org>

	* NEWS: updated.

	* configure.in: released 2.15.3.

2006-07-24  Behdad Esfahbod  <behdad@gnome.org>

	Bug 324426 – Open/close tab adds row to terminal
	Patch from Eric Anderson

	* src/terminal-window.c (notebook_tab_removed_callback): Reset size
	if only one tab remaining.

2006-07-24  Behdad Esfahbod  <behdad@gnome.org>

	Bug 336947 – [patch] Redundant vte_terminal_set_font_full() calls
	Patch from Aivars Kalvans

	* src/terminal-screen.c (style_set_callback),
	(terminal_screen_reread_profile), (monospace_font_change_notify),
	(terminal_screen_set_font), (terminal_screen_update_on_realize),
	(terminal_screen_change_font), (terminal_screen_set_font_scale):
	* src/terminal-screen.h:
	* src/terminal.c (terminal_app_new_terminal):
	AVoid redundant set_font_full and invalidate_all calls.

	* configure.in: Require vte >= 0.13.4 that has the bits needed for
	this change to work.

2006-07-10  Behdad Esfahbod  <behdad@gnome.org>

	* NEWS: updated.

	* configure.in: released 2.15.2.

2006-07-10  Behdad Esfahbod  <behdad@gnome.org>

	Bug 345378 – real transparency
	Patch from Kristian Høgsberg <krh redhat.com>

	* src/terminal-screen.c (terminal_screen_reread_profile),
	(profile_changed_callback), (terminal_screen_set_profile):
	* src/terminal-screen.h:
	* src/terminal-widget-vte.c
	(terminal_widget_set_background_transparent),
	(terminal_widget_set_background_darkness),
	(terminal_widget_set_background_opacity):
	* src/terminal-widget.h:
	* src/terminal-window.c (initialize_alpha_mode),
	(terminal_window_uses_argb_visual), (terminal_window_init):
	* src/terminal-window.h:
	* src/terminal.c (terminal_app_new_terminal):
	Use real transparency when the X server supports it.

	* configure.in: Require vte-0.13.3 that has the necessary bits
	(vte_terminal_set_opacity)

2006-06-17  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-window.c: applied patch to improve the
	  dialog to ask for confirmation when closing a window
	  with more than one tab open. Closes bug #345166.

2006-05-17  Behdad Esfahbod  <behdad@gnome.org>

	* NEWS: updated.

	* configure.in: released 2.15.1.

	* configure.in: Remove m4 macro dir directive.

2006-05-16  Guilherme de S. Pastore  <gpastore@gnome.org>

	* configure.in: bumped dependency on intltool to 0.35.

2006-05-14  Guilherme de S. Pastore  <gpastore@gnome.org>

	* NEWS: updated.

	* configure.in: released 2.15.0.

2006-05-14  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-screen.c: improved proxy settings exporting,
	  which now includes authentication. Closes bug #339134.

2006-05-07  Guilherme de S. Pastore  <gpastore@gnome.org>

	* configure.in: applied patch from Brian Cameron to allow
	  recognition of Xrender on Solaris. Closes bug #339979.

2006-04-29  Behdad Esfahbod  <behdad@gnome.org>

	* configure.in, po/LINGUAS: Use new intltool syntax.
	(#337904)

2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/no.po: And the translation.

2006-04-05  Tommi Vainikainen  <thv@iki.fi>

	* .cvsignore, Makefile.am, autogen.sh, configure.in,
	m4/.cvsignore: Migrated to gnome-doc-utils. Autoconf+Automake
	adjustments.
	* acconfig.h: Removed in migration.
	* po/.cvsignore, src/skey/.cvsignore: Added missing generated
	files.

2006-04-02  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-screen.c: include the final slash if there
	  is one on URL highlighting. Closes bug #329003.

2006-04-02  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal.c (terminal_app_get_clone_command): store
	  the full geometry (including window position) on session
	  save. Closes bug #336910.

2006-04-01  Behdad Esfahbod  <behdad@gnome.org>

	* src/terminal-window.c (terminal_window_set_size_force_grid):
	Remove the old hack that was causing superfluous resize when a tab is
	drag-n-dropped to a separate window.  We'll see if regressions happen.
	Closes bug #336325 (may open new ones ;).

2006-04-01  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-window.c: applied patch to fix the close button
	  of the about dialog after changes in GTK+. Closes bug #335945.

	* src/terminal-window.c: marked the license text for translation.

2006-03-26  Tommi Vainikainen  <thv@iki.fi>

	* configure.in (ALL_LINGUAS): Added Dzongkha (dz).

2006-03-20  Vladimer Sichinava  <vlsichinava@gmail.com>

	* configure.in: Added "ka" (Georgian) to ALL_LINGUAS

2006-03-12  Guilherme de S. Pastore  <gpastore@gnome.org>

	* NEWS: updated.

	* configure.in: release 2.14.0.

2006-03-04  Guilherme de S. Pastore  <gpastore@gnome.org>

	* NEWS: updated.

	* configure.in: release 2.13.93 so we get broader testing
	  for the latest changes.

2006-03-04  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-window.c: applied patch from Tony Tsui to fix a
	  serious freeze when detaching a tab right after changing its
	  position. Closes bug #330246.

2006-03-04  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal.c: applied patch from jeff@ratsite.com to fix
	  a crash in case too many terminals were started too quickly.
	  Closes bug #318797.

2006-03-04  Guilherme de S. Pastore  <gpastore@gnome.org>

	* NEWS: updated.

	* configure.in: release 2.13.92.

2006-03-03  Guilherme de S. Pastore  <gpastore@gnome.org>

	* configure.in: fix a build failure. Closes bug #333292.

2006-02-18  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-window.c: made the licensing information not be
	  translatable on Danilo Šegan's request.

2006-02-17  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-window.c: added licensing information to the about
	  dialog. Closes bug #330875.

2006-02-12  Guilherme de S. Pastore  <gpastore@gnome.org>

	* NEWS: updated.

	* configure.in: 2.13.91!

2006-02-02  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-screen.c: removed an unused variable.

	* src/terminal-screen.c: fix lack of items in the context menu
	  for highlighted URLs. Closes bug #329553.

2006-02-01  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/gnome-terminal.glade2: removed invisible_char, as it was set
	  to '*', which is the default, for no good reason. Bug #329294.

2006-01-30  Guilherme de S. Pastore  <gpastore@gnome.org>

	* NEWS: updated.

	* configure.in: release 2.13.90.

2006-01-30  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-notebook.c: applied patch from Elijah Newren to fix
	  some compiler warnings. Closes bug #329161.

2006-01-30  Guilherme de S. Pastore  <gpastore@gnome.org>

	* gnome-terminal.desktop.in.in (Exec): removed --working-directory=%f.
	  As far as I can tell, that was there for directory MIME-type
	  handling, which was left for nautilus-open-terminal.

2006-01-30  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-notebook.c: add tool tips to the tabs close buttons.

2006-01-28  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-screen.c: revert to dynamically setting the title if
	  the user sets it to an empty string. Closes bug #328932.

2006-01-27  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/gnome-terminal.schemas.in: add F11 as default keybinding for
	  entering and leaving fullscreen. Closes bug #326781.

2006-01-26  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-screen.c: code cleanups.

	* src/terminal-screen.c: really fix the handling of file URLs and
	  e-mail addresses highlighting now, getting a slight startup speed
	  improvement as an extra bonus.

2006-01-26  Guilherme de S. Pastore  <gpastore@gnome.org>

	* NEWS: rewrote the entries for 2.13.2 and 2.13.3 for more
	  clarity and relevance.

2006-01-26  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-accels.c: reverted to the old libegg API.

	* src/eggaccelerators.c, src/eggaccelerators.h,
	* src/eggcellrendererkeys.c, src/eggcellrendererkeys.h:
	  revert the libegg update, as it somehow broke the setting
	  of accelerators. Closes bug #328052.
	  
2006-01-21  Guilherme de S. Pastore  <gpastore@gnome.org>

	* gnome-terminal.desktop.in.in: added GTK to the list of
	  Categories. Closes bug #328043.

2006-01-20  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal.c: enforce our coding style on some code copied
	  from libnautilus.

2006-01-20  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-screen.c, src/terminal-screen.h: get rid of the
	  unused screen ids, avoiding, among other things, some lists
	  operations at screen initialization.

2006-01-20  Guilherme de S. Pastore  <gpastore@gnome.org>

	Fixes to patch submitted for bug #321952:

	* src/terminal-screen.c (get_child_environment):
	  - fixed the format of the http_proxy environment variable.
	  - only query GConf for values we know we are going to use.
	  - unref the GConfClient when nothing else from GConf is needed.
	  - also set the no_proxy environment variable with ignore_hosts.
	  - general code cleanups.

2006-01-20  Guilherme de S. Pastore  <gpastore@gnome.org>

	Fixes to patch submitted for bug #139332:

	* src/gnome-terminal.schemas.in: reworded the descriptions.
	  Fixes bug #327456.

	* src/terminal-profile.c, src/terminal-profile.h,
	  src/terminal-widget.h: removed unnecessary code and fixed
	  indentation issues.

	* src/terminal-widget-vte.c: better organized code to only do what
	  might take long once simple checks have already been performed.

2006-01-20  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-notebook.c: fixed a tiny compiler warning.

	* src/terminal-notebook.c: fixed the tabs height based on a patch
	  from Theerud Lawtrakul. Closes bug #327412 and its several dups.

2006-01-18  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: updated.

	* configure.in: bump version to 2.13.3.

2006-01-17  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-notebook.c (sync_label): fixed to be able to get the
	  actual title label from the tab now that we have new elements such
	  as the close button. Closes bug #327313.

2006-01-16  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* configure.in: release 2.13.2

	* NEWS: updated

2006-01-16  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-notebook.c: added a close button to the tabs. Closes
	  #71444 and all of its duplicates.

2006-01-16  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/gnome-terminal.schemas.in, src/terminal-profile.c,
	  src/terminal-profile.h, src/terminal-screen.c, src/terminal-widget.h,
	  src/terminal-widget-vte.c: applied patch from Kiran Kumar Immidi
	  to allow disabling font anti-aliasing when the X RENDER extension is
	  not available, and do that by default. Closes bug #139332.

2006-01-16  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-screen.c: applied patch from John Spray to set
	  the http_proxy environment variable based on the GNOME proxy
	  settings. Closes bug #321952.

2006-01-16  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal.c, src/terminal-screen.c, src/terminal-screen.h:
	  made the title not be dinamically changed anymore once the user
	  has manually set it. Closes bug #152986 (along with another ton
	  of duplicates).

2006-01-15  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-accels.c: fix build failure caused by undocumented
	  API change in libegg. Closes bug #326972.

2006-01-15  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/gnome-terminal.schemas.in: made the visible name of the
	  default profile be translatable. Closes bug #129889.

2006-01-14  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-screen.c: clean up the highlighting flavors mess,
	  S/Key, OTP and mailto can use FLAVOR_AS_IS without problems.

2006-01-14  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/eggaccelerators.c, src/eggaccelerators.h,
	  src/eggcellrendererkeys.c, src/eggcellrendererkeys.h: update
	  from libegg.

2006-01-12  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/skey-popup.c: fix a compiler warning.

2006-01-12  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/Makefile.am: applied patch from Marco Pesenti Gritti to allow
	  building from the src directory. Closes bug #158319.

2006-01-12  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-screen.c: applied patch from Gary Coady to fix the
	  regular expressions for URL highlighting. Closes bug #324246.

2006-01-11  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/gnome-terminal.glade2, src/skey-popup.c: made the dialog which
	  asks for the reply to the S/Key challenge a bit prettier and more
	  HIG-compliant.

2006-01-11  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-screen.c, src/skey-popup.c: add One-Time Passwords
	  support, based on the work by Michele Baldessari. Thanks! Closes
	  bug #310529.	  

2006-01-10  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/skey-popup.c, src/gnome-terminal.glade2: add markup to label
	  in the code, so translators don't see it. Closes bug #100038.

2006-01-09  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-screen.c: handle file URLs differently from others,
	  as they necessarily have three slashes and do not have things like
	  username and port. Closes bug #309201.	  

2006-01-07  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-screen.c (title_entry_changed): set icon title
	  together with the title here too. Closes bug #324965.

2006-01-06  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-notebook.c: add tooltips to the tabs so their full
	  title can be displayed when many tabs are open. Closes bug #310137.

2006-01-06  Guilherme de S. Pastore  <gpastore@gnome.org>

	* MAINTAINERS: added.

	* NEWS: updated.

	* configure.in: release 2.13.1.

2006-01-06  Guilherme de S. Pastore  <gpastore@gnome.org>

	* gnome-terminal.desktop.in.in: removed System from categories,
	  like Debian, Ubuntu and others have been doing for a long time.
	  gnome-terminal is really not a system tool.
	
2006-01-06  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-profile.c: recursively unset profile directories
	  when the profile is removed, so they don't remain around forever.
	  Closes bug #140603.

2006-01-05  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-screen.c: have different menu items for links and
	  e-mail addresses. Closes bug #49306.

2006-01-05  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal.c: applied patch from "Jan" to set icon title too
	  if --title is passed. Closes bug #321929.

2006-01-05  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/gnome-terminal.schemas.in, terminal-accels.c, terminal-window.c:
	  changed strings to move tabs _to the_ left/right for correctness and
	  clarity. Closes bug #324276.

2006-01-05  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/profile-editor.c, src/gnome-terminal.glade2: handle the
	  palette picker titles and tooltips in the code rather than in
	  Glade in order to be able to avoid string duplication. Closes
	  bug #325214.
	
2006-01-05  Guilherme de S. Pastore  <gpastore@gnome.org>

	* src/terminal-window.c: added a description for GNOME Terminal
	  in the about box.

2006-01-04  Guilherme de S. Pastore  <gpastore@gnome.org>

	* gnome-terminal.applications: removed, this is deprecated (yay
	  for freedesktop.org compliance). Makefile.am updated accordingly.

	* TODO: removed, did not even make much sense.

	* HACKING: cleaned up, no need to rewrite general documentation.

2006-01-01  Olav Vitters  <olav@bkor.dhs.org>

	* src/terminal-screen.c: (terminal_screen_init),
	(terminal_screen_finalize), (get_child_environment),
	(new_window_callback), (new_tab_callback),
	(terminal_screen_set_working_dir):
	* src/terminal-screen.h:
	* src/terminal-window.c: (new_window), (new_tab_callback):
	* src/terminal.c: (new_terminal_with_options),
	(terminal_app_new_terminal), (handle_new_terminal_event),
	(handle_new_terminal_events), (terminal_new_event),
	(terminal_invoke_factory):
	* src/terminal.h: Backout patch from bug #98715. Causes hangs when
	starting gnome-terminal with extra arguments (-e or -x) and
	gnome-terminal was already running.

2005-12-16  Kjartan Maraas  <kmaraas@gnome.org>

	* src/terminal-window.c: (detach_tab_callback): Remove unused var.
	* src/terminal.c: (slowly_and_stupidly_obtain_timestamp),
	(terminal_app_new_terminal): Cast away some warnings.

2005-12-14  Olav Vitters  <olav@bkor.dhs.org>

	* src/terminal.c: Fix i18n issue with the application name. Patch by
	Frederic Crozat. Fixes bug #324050.

2005-12-12  Kjartan Maraas <kmaraas@gnome.org>

	* configure.in: released 2.13.0

2005-10-30  Dan Winship  <danw@novell.com>

	* src/terminal-window.c (terminal_window_set_menubar_visible):
	Call reset_menubar_labels().
	(reset_menubar_labels): Only enable menubar mnemonics if the
	menubar is visible. #172777

2005-11-30  Kjartan Maraas  <kmaraas@gnome.org>

	* src/terminal-screen.c: (terminal_screen_init),
	(terminal_screen_finalize), (get_child_environment),
	(new_window_callback), (new_tab_callback),
	(terminal_screen_set_working_dir), (terminal_screen_set_environ):
	* src/terminal-screen.h:
	* src/terminal-window.c: (new_window), (new_tab_callback):
	* src/terminal.c: (new_terminal_with_options_and_environ),
	(new_terminal_with_options), (terminal_app_new_terminal),
	(handle_new_terminal_event), (handle_new_terminal_events),
	(terminal_new_event), (terminal_invoke_factory):
	* src/terminal.h: Don't lose environment variables on
	startup. Closes bug #98715. Patch from Davyd Madeley.

2005-11-09  Tony Tsui  <tsui.tony@gmail.com>

	* gnome-terminal.schemas.in
	* src/terminal-accels.c:
	* src/terminal-accels.c:
	* src/terminal-window.c:
	Support for detaching tabs via Tabs menu and via keybindings.

2005-11-08  Mario Manno  <mm-bugs@manno.name>

	* gnome-terminal.schemas.in
	* src/terminal-accels.c:
	* src/terminal-accels.c:
	* src/terminal-window.c:
	Support for moving tabs via Tabs menu and via keybindings.

2005-11-01  Tony Tsui  <tsui.tony@gmail.com>

	* src/Makefile.am:
	* src/terminal-notebook.h:
	* src/terminal-notebook.h:
	* src/terminal-screen.c:
	* src/terminal-screen.h:
	* src/terminal-window.c:
	* src/terminal-window.h:
	* src/terminal.c:
* src/terminal.h:
	Add support for making tabs movable and detachable.

2005-11-09  Behdad Esfahbod  <behdad@gnome.org>

	* src/skey/btoe.c: Mark the huge array as static const.  (#320737,
	patch from Benoît Dejean.)

2005-10-27  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* configure.in: Added ku (Kurdish) to ALL_LINGUAS

2005-10-03  Mark McLoughlin  <mark@skynet.ie>

	* src/terminal-window.c: (fill_in_new_term_submenu_real): fix
	thinko that made Ctrl-Shift-N be bound to both "New Terminal"
	and "New Tab".

2005-09-25  Kjartan Maraas  <kmaraas@gnome.org>

	* src/terminal-window.c: (fill_in_config_picker_submenu),
	(fill_in_new_term_submenu_real), (fill_in_new_term_submenus):
	Clean up window/tab menus when only one profile exists.
	Patch from Mariano Suáres-Alvarez. Closes bug #88318.

2005-09-20  Dennis Cranston  <dennis_cranston@yahoo.com>

	* src/gnome-terminal.glade2: Replace the Add and Remove buttons
	from the "Add or Remove Terminal Encodings" dialog with Forward 
	and Back buttons placed between the list views.

2005-09-20  Kjartan Maraas  <kmaraas@gnome.org>

	* src/terminal-screen.c: (terminal_screen_edit_title):
	Select text in the Set title dialog here too.

2005-09-19  Kjartan Maraas  <kmaraas@gnome.org>

	* src/gnome-terminal.schemas.in: Make life easier for the
	translators. Closes bug #137517. Reported by Telsa Gwynne
	fixed by Mariano Suárez-Alvarez.

2005-09-18  Dennis Cranston  <dennis_cranston@yahoo.com>

	* src/gnome-terminal.glade2:  Small HIG fixes for window titles.
	* src/profile-editor.c: (terminal_profile_edit): Small HIG
	fixes for window titles.

2005-09-19  Kjartan Maraas  <kmaraas@gnome.org>

	* src/profile-editor.c: (update_image_preview): Don't leak
	the filename here.

2005-09-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Don't pass include flags to the link stage.
	Patch from <dmacks@netspace.org>. Closes bug #313927.

2005-09-18  Dennis Cranston  <dennis_cranston@yahoo.com>

	* src/gnome-terminal.glade2:  Replace the deprecated 
	GtkOptionMenu widgets with GtkComboBox widgets.  Replace the
	deprecated GnomeFileEntry widget with a 
	GtkFileChooserButton widget.
	
	* src/profile-editor.c: (color_scheme_changed),
	(title_mode_changed), (scrollbar_position_changed),
	(exit_action_changed), (palette_scheme_changed),
	(background_image_changed), (backspace_binding_changed),
	(delete_binding_changed), (init_color_scheme_menu),
	(init_palette_scheme_menu), (create_preview_pixbuf),
	(update_image_preview), (setup_background_filechooser),
	(terminal_profile_edit), (profile_editor_update_sensitivity),
	(profile_editor_update_color_scheme_menu),
	(profile_editor_update_title_mode),
	(profile_editor_update_scrollbar_position),
	(profile_editor_update_exit_action),
	(profile_editor_update_palette),
	(profile_editor_update_background_image),
	(profile_editor_update_backspace_binding),
	(profile_editor_update_delete_binding):  Convert the GtkOptionMenu 
	code to use a GtkComboBox.  Convert the GnomeFileEntry code to 
	use a GtkFileChooserButton, and add a preview widget to the 
	GtkFileChooser.

2005-09-18  Kjartan Maraas  <kmaraas@gnome.org>

	* src/terminal.c: (new_profile_response_callback): Don't
	change profiles in all other windows when creating a new
	profile. Closes bug #125660 and bug #164378. Patch from
	Chris Heath.

2005-09-06 Dennis Cranston <dennis_cranston at yahoo com>

	* src/gnome-terminal.glade2:  Cosmetic HIG fixes for the 
	glade dialogs: 'Add or Remove', 'Current Profile', 'Keyboard
	Shortcuts', and 'New Profile'.  Adjust widget layout.  Fix 
	mnemonic conflicts.  Correct capitalizations.

	* src/terminal.c, src/terminal-screen.c:  Fix actual border 
	width to be 12 pixels.
		
	* src/profile-editor.c:  Toggle the sensitivity of labels 
	and entry widgets.  Bug #147310.
	
2005-09-16  Kjartan Maraas  <kmaraas@gnome.org>

	* src/terminal-screen.c: (drag_data_received): Merge fix
	for leak. Bug #315149.

2005-09-07  Bastien Nocera  <hadess@hadess.net>

	* src/terminal-window.c: (terminal_window_init),
	(update_tab_sensitivity), (reset_and_clear_callback),
	(accel_event_key_match), (key_press_callback):
	Only send Previous tab/Next tab key events to the terminal if there's
	no tab, and not when we reach the boundary with multiple tabs
	(Closes: #138609)

========================== 2.12.0 =======================

2005-09-06  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Release 2.12.0

========================== 2.11.3 =======================

2005-08-19  Kjartan Maraas  <kmaraas@gnome.org>

	* src/terminal-profile.c: (terminal_profile_set_is_default):
	Don't wrongly reset the default profile to the first one when
	editing a different profile is finished. Closes bug #313326.
	Patch from Chris Heath.

2005-08-08  Dennis Cranston <dennis_cranston@yahoo.com>

	* src/terminal-window.c: (confirm_close_window): HIG fixes
	for the close dialog.  Adds a mnemonic and removes the window
	title.
	
2005-07-12  Michele Baldessari  <michele@pupazzo.org>

	* configure.in: Added AC_C_BIGENDIAN check
	* src/skey/donkey.h, src/skey/donkey.c, src/skey/md2.c
	* src/skey/tailor.h, src/skey/config.h: Removed due to 
	license issues (#305216)
	* src/skey/md5.c, src/skey/md5.h, src/skey/md4.c
	* src/skey/md4.h, src/skey/sha1.h, src/skey/sha1.c: 
	Added new non-license violating implementations for these 
	hashes algorithms. MD4 and MD5 are taken from the mhash library
	which in turn are based on public domain implementations by Colin Plumb.
	SHA1 is from the public domain implementation of Steve Reid.
	* src/skey/skey.c, src/skey/skey.h, src/skey/skeyutil.c,
	* src/skey/skeyutil.h: Reimplementation from scratch of the previous
	S/Key support (RFC1760). Removed MD2 support and added SHA1 support, 
	in order to be able one day to support RFC2289.

2005-07-21  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "hy" to ALL_LINGUAS.

2005-07-04  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Post release bump to 2.11.2

2005-07-02  Kjartan Maraas  <kmaraas@gnome.org>

	* src/terminal-screen.c: (terminal_screen_init):
	Make URL highlighting include the trailing / so links
	don't break when that makes a difference. Closes bug #170364.
	Patch from Samuel Abels, fixed after I broke it by Olav Vitters

2005-07-02  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Bump version to 2.11.1

2005-06-22 Anoop.M <anoopvlcy@yahoo.com>
	* terminal-profile.h
	* terminal-profile.c
	* profile-editor.c
	Added a new function to notify profile name change.
	
2005-07-02  Kjartan Maraas  <kmaraas@gnome.org>

	* src/terminal-screen.c: (terminal_screen_setup_dnd):
	Accept drops from Konqueror. Patch from Bastien Nocera
	Closes bug 170330.

2005-07-02  Kjartan Maraas  <kmaraas@gnome.org>

	* src/encoding.c: Use the right name for the Cyrillic
	and Ukrainian locales. Patch from Michele Baldessari.
	Closes bug #308882.

2005-07-02  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-terminal.desktop.in.in: HIGify launcher comment.
	Closes bug #308572. Patch from Corey Burger.

2005-07-02  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-terminal.desktop.in.in: Open any folders that are
	dropped on a terminal launcher. Closes bug 307925. Patch
	from John Spray.

2005-07-02  Kjartan Maraas  <kmaraas@gnome.org>

	* src/terminal.c: (new_profile_response_callback):
	Ask the user if they want to have profiles with the same 
	name. Patch from <egeetha at novell com>. Closes
	bug #74057.

2005-07-02  Kjartan Maraas  <kmaraas@gnome.org>

	* src/terminal-screen.c: (terminal_screen_init):
	Fix typo so nntp links work. (Sebastien Bacher).
	Closes part of bug #309201.
	* src/gnome-terminal.schemas.in: Use the right shortcut
	to zoom back to normal size. HIG fix. Patch by Olav Vitters
	Closes bug #302755. Reported by Sitsofe Wheeler.

2005-05-31  Rodrigo Moya <rodrigo@novell.com>

	* src/gnome-terminal.server: added name attribute.

2005-03-31  Steve Murphy  <murf@e-tools.com>

	* configure.in: Added "rw" to ALL_LINGUAS.

2005-03-23  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added 'xh' to ALL_LINGUAS.

2005-03-01  Maxim Dziumanenko <mvd@mylinux.com.ua>

	* configure.in: 
	* help/Makefile.am:
	* help/uk/*:
	Added Ukrainian translation of the manual.

2005-02-28  Elijah Newren  <newren@gmail.com>

	* configure.in: Post release bump: Version 2.9.4

2005-02-28  Elijah Newren  <newren@gmail.com>

	* NEWS: 2.9.3 unstable release
	* src/Makefile.am: Get distcheck to pass

2005-02-28  Elijah Newren  <newren@gmail.com>

	Approximate the time that gnome-terminal was launched if not
	launched with startup-notification.  Fixes #168812.

	* src/terminal.c: (slowly_and_stupidly_obtain_timestamp): new
	function, (main): get a timestamp from the xserver to approximate
	launch time if no DESKTOP_STARTUP_ID is provided

	* src/terminal-window.c: (terminal_window_show): only do
	sn_launchee_context_setup_window() if the startup_id is valid,
	remove an error that shouldn't happen (well, unless using an
	out-of-date startup-notification launcher, but that's someone
	else's problem)

2004-12-01  Mariano Suárez-Alvarez <mariano@gnome.org>

	* configure.in: Post release bump: Version 2.9.3

2004-11-29  Mariano Suárez-Alvarez <mariano@gnome.org>

	* src/terminal-screen.c(terminal_screen_edit_title):
	* src/terminal.c(fix_button_align, terminal_app_manage_profiles):
	  use the HIG layout. Basically Dennis Cranston's patch from bug 147312.

2004-11-23  Mariano Suárez-Alvarez <mariano@gnome.org>

	* src/terminal-screen.c(copy_url_callback): use the clipboard corresponding to the
	  display of the window.
	* src/terminal-window.c(update_edit_menu, edit_menu_activate_callback,
	  terminal_window_init): watch for activations of the Edit menu, and set the
	  sensitivity of the Paste menu item in the callback. Also when the window
	  instance is created get the GtkClipboard for its display, so as not to lag too
	  much the first time the user wants something with a Paste menu item.
	* src/terminal-window.c(update_notebook): rewrite less verbosely.

2004-11-21  Mariano Suárez-Alvarez <mariano@gnome.org>

	* configure.in: depend on startup-notification 0.8, so that we get
	  the focus-stealing prevention stuff.

2004-11-15  Mariano Suárez-Alvarez <mariano@gnome.org>

	* src/Makefile.am: Fix builddir problem, bug #158319.

2004-11-15  Mariano Suárez-Alvarez <mariano@gnome.org>

	* src/Makefile.am: remove a deprecation flag.

2004-11-10  Mariano Suárez-Alvarez <mariano@gnome.org>

	* src/terminal-window.c(about_callback): fix constness of the authors array now
	  that gtk does the Right Thing there.

2004-11-07  Mariano Suárez-Alvarez <mariano@gnome.org>

	* AUTHORS: UTF-8-fy my last name and update email.

2004-11-07  Mariano Suárez-Alvarez <mariano@gnome.org>

	* src/terminal-window.c(about_callback): use the new GtkAboutDialog.
	* src/terminal-window.c(terminal_window_init): use the new GTK_STOCK_ABOUT instead
	  of GNOME_STOCK_ABOUT.

2004-11-05  Mariano Suárez-Alvarez <mariano@gnome.org>

	* src/terminal-window.c(terminal_window_show): support _NET_WM_USER_TIME focus
	  stealing prevention. Patch from Elijah Newren on bug #156413.

2004-11-05  Mariano Suárez-Alvarez <mariano@gnome.org>

	* autogen.sh: use automake-1.8.
	* Makefile.am: change distuninstallcheck_listfiles so that scrollkeeper's mess
	  is ignored at distuninstallcheck time. I hope I got this right this time...
	  Last time I moved to 1.8 it did distcheck for a time, too :(

2004-11-03  Mariano Suárez-Alvarez <mariano@gnome.org>

	* src/termnal-window.c(title_changed_callback, terminal_window_add_screen): use
	  the new GtkLabel ellipsizing, instead of our own EelEllipsizingLabel.
	* configure.in: require GTK+ >= 2.5.4 so that we actually have the ellipsizing
	  stuff in GtkLabel.
	* src/eel/*: remove this, as we do not need any more.
	* src/terminal-profile.c(terminal_profile_get_font): fix the return value on the 
	  g_return_val_if_fail call.

2004-11-03  Mariano Suárez-Alvarez <mariano@gnome.org>

	* src/terminal-screen.c(terminal_screen_do_popup): do not use gtk_clipboard_wait_is_text_available
	  but explicitely do a gtk_clipboard_request_text, and build the popup in a new
	  callback popup_clipboard_request_callback. Shoulf fix both bugs #157153 and #157151.

2004-11-01  Mariano Suárez-Alvarez <mariano@gnome.org>

	* configure.in: Post release bump: Version 2.9.2

2004-11-01  Mariano Suárez-Alvarez <mariano@gnome.org>

	* configure.in: Version 2.9.1

2004-11-01  Mariano Suárez-Alvarez <mariano@gnome.org>

	* src/terminal-screen.c(terminal_screen_init): match news: URIs. Modified form of
	  a patch by Juha Sahakangas <voas0113@saunalahti.fi> on bug #137653. Also, allow
	  periods in the user name for a mailto: URI. 
	* src/terminal-screen.c(open_url): remove a g_printerr which should not be there.

2004-11-01  Mariano Suárez-Alvarez <mariano@gnome.org>

	* src/terminal-window.c(about_callback): do not leak the pixbuf in the about dialog.
	  Caught by the venerable champion of finding leaks, Kjartan; bug #151813.

2004-11-01  Mariano Suárez-Alvarez <mariano@gnome.org>

	* src/terminal-window.c(terminal_window_new): make each terminal window be the
	  window group leader of its group. This goes better with the illusion that
	  different terminal windows are different instances of the application. This will
	  change the way window managers deal with terminal windows when there are several
	  of them---we'll see what people think, I guess. Suggested on bug #115994.

2004-10-31 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal.c(new_profile_response_callback): show a error dialog when lookup of the newly created
	  profile fails. Prompted by a failed assetion caught by Hidetoshi Tajima 
	  <hidetoshi.tajima@sun.com> reported on bug #122687 which was caused by gconf's bug #122958.
	  Now gconf has been fixed, but this might me helpful in the future.

2004-10-30 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/gnome-terminal.glade2: fix two hotkey clashes. Caught by Damian Keogh 
	  <damian_keogh@veritest.com> on bug #155810.

2004-10-30 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-window.c(about_callback): make the dialog be destroyed with its parent.
	  Caught by Kjartan; bugs #151812. 
	* src/gnome-terminal.glade2: fix an hotkey clash in the Scrollback page of the profile editor
	  dialog. Damian Keogh <damian_keogh@veritest.com> on bug #155808.

2004-10-30 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/simplex-x-font-selector.c(egg_xfont_selector_finalize):
	* src/simplex-x-font-selector.h(egg_xfont_selector_new):
	* src/profile-editor.c(terminal_profile_edit):
	  Cleanups, from a patch by Kjartan on bug #150347.

2004-10-30 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal.c(terminal_app_new_profile): Do not set accessibles names but 
	  descriptions on the New Profile dialog. Reported by Frances Keenan
	  <frances.keenan@sun.com> on bug #147484.

2004-10-30 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-screen.c(new_window_callback, new_tab_callback):
	* src/terminal-window.c(new_window_callback, new_tab_callback):
	* src/terminal.c(parse_options_callback and related structures, terminal_app_new_terminal):
	* src/terminal.h: Added --full-screen command line option; from Hylke <weary@gamebox.net> 
	  on bug #144189.
	* src/terminal-window.c(terminal_window_add_screen): Clean up from Alexey Spiridonov 
	  <lesha@netman.ru> on bug #145596.

2004-10-17  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update
	* autogen.sh: Use automake 1.4 to get it to distcheck
	* configure.in: Bump.

2004-09-10  Akagic Amila  <bono@linux.org.ba>

	* configure.in: Added 'bs' to ALL_LINGUAS.

2004-08-30  Thomas Vander Stichele  <thomas at apestaart dot org>

	* po/no.po:
	  Fix po file because it has been broken for more than two days.
	  Spank me if I am out of line.

2004-08-30  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* src/encoding.c: fixed georgian encoding

2004-08-17  Christian Rose  <menthos@menthos.com>

	* src/gnome-terminal.schemas.in: Fixed typos and linewrappings in
	the encodings comment.

2004-08-16  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add nb to ALL_LINGUAS.

2004-08-06 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-window.c(terminal_window_set_active): also update the encoding menu,
	so that a11y stuff picks it up correctly. Fixes 147485.

2004-06-29 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-window.c(terminal_window_init): GTK_STOCK_ZOOM_100 now has a HIGgy 
	label, so there is no need to override it.

2004-06-29 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* configure.in: Version 2.7.3

2004-06-29 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* autogen.sh: require automake-1.8 to build.
	* Makefile.am: add intltool-{merge,update,extract} and the .desktop file 
	to DISTCLEANFILES. Tweak the distuninstallcheck_listfiles so that automake does
	not see the /var/scrollkeeper cruft scrollkeeper leaves behind.
	* configure.in: remoce the call to AC_ARG_PROGRAM, which is redundant.

2004-06-28 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	Correct the usage of lastlog/wtmp/utm according to comment #9 on bug #93906.

	* src/gnome-terminal.glade: Don't say "utmp/wtmp" on our ui, but "login records".
	* src/gnome-terminal.schemas.in: Ditto.
	* src/terminal-widget-vte.c, src/terminal-widger.h: add a lastlog argument to 
	terminal_widget_fork_command, and use the update_records correctly when telling vte to fork the
	command.
	* src/terminal-screen.c(terminal_screen_launch_child): call terminal_widget_fork_command with 
	the correct lastlog setting.

2004-06-28 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/gnome-terminal.schemas.in: translate the default value of 
	/apps/gnome-terminal/global/active_encodings so that the default menu of encodings  
	can be set by translators, and add a comment explaining this for translators.
	See bug #144810. Proposed by Takao Fujiwara.

2004-06-21 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-window.c(update_copy_sensitivity): don't update the
	Paste menu item sensitivity, thus reverting the patch from bug
	#142290: this solved a very annoying poblem with lost mouse clicks due
	to gtk_clipboard_wait_is_text_available running the main loop (I
	think). This fixes bug #143990. (Rodd Clarskon, Alexander Winston)

2004-06-07 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* po/POTFILES.in: gnome-terminal.desktop.in is no longer, long live
	gnome-terminal.desktop.in.in. Fixes bug #144068. (Gareth Owen,
	Alexander Winston)

2004-06-07 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* configure.in: Version 2.7.2 (Yes, we skipped 2!)

2004-06-07 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-widget-zvt.c: remove this file, as it has not been used
	in ages.
	* src/terminal-widget.h, src/terminal-widget-vte.c(terminal_widget_match_add,
	terminal_widget_skey_match_add, terminal_widget_check_match, 
	terminal_widget_skey_check_match): add a ‘flavor’ on matches, so that we can 
	tell them apart when we see them.
	* src/terminal-screen.c(terminal_screen_init, open_url): rearrange the regexps
	we use for urls, using the bew flavoring technology. In open_url, do
	some fixups for mailto: uris missing the scheme and such.
	
2004-05-10 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-profile(color_selection_palette_to_string,
	  terminal_palette_to_string): we sadly need to use out own function
	  to make strings from palettes because gtk's does not store all 16
	  bits needed to exactly match xterm's palette.

2004-05-10 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-window.c(terminal_window_set_active): move the call to
	  update_copy_sensitivity to after the call to terminal_window_set_size.
	  Otherwise new tabs resize the window to the default 80x24 size. See
	  bug #142366.
	* various .cvsignore files: add some more stuff.
	
2004-05-10 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-window.c(confirm_close_window): use the GConfClient in
	  the window, instead of the (possibly different) default one.
	* src/terminal-window.c(change_configuration_callback): wrap the call
	  to terminal_screen_set_profile with g_signal_handlers_{,un}block_by_func
	  to avoid a loop. This fixes a bug which I can't find anynmore...

2004-05-10 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* configure.in: we need gtk+ >= 2.4.0 by now, and depend on vte
	  0.11.10 at least.

2004-05-10 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/encoding.c(response_callback): set the link_id to the the
	  correct id into the docs.

2004-05-10 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-window.c(update_copy_sensitivity): update the paste
	items, too. Essentially from a patch by Madhan Raj M on bug #142290.

2004-05-10 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-window.c(terminal_window_init,
	  terminal_window_set_menubar_visible, terminal_window_destroy): 
	  hide/show the menubar instead of removing/adding it to the main vbox.
	  Also do not keep an extra reference on the menubar, since we don't
	  need it anymore.

2004-05-10 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-profile(exit_actions, TerminalExitAction,
	  terminal_screen_widget_child_died): Add the possibility to hold the
	  terminal when the command dies. From a patch by Kurt V. Hindenburg  
	  on bug #110616.
	* src/gnome-terminal.glade2: add the ui for the previous change, and
	  fix a couple of repeated IDs on widgets, which incredibly glade does
	  not catch...
	* src/terminal-window.c(confirm_close_window): make the default action
	  on the Cofirm Close dialog be Close, not Cancel.

2004-05-09 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-profile-c(terminal_palette_xterm): fix this, as it was
	  not what xterm uses. This probably caused bug #112079, for example.

2004-05-09 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-screen.c(terminal_screen_do_popup): make the context
	  menu say 'Close Window' instead of 'Close Tab' when there is only
	  one tab. Fixes bug 133960.
	* src/terminal-window.{c,h}(terminal_window_get_screen_count): new
	  function, used to implement the above change.

2004-05-07 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* help/xmldocs.make, help/omf.make: move this files to the top_srcdir...
	* help/Makefile.am: ...and don't add them to EXTRA_DIST here...
	* Makefile.am: ...but here
	* help/<language-code>/Makefile.am: change the reference from
	  $(top_srcdir)/help/xmldocs.make to $(top_srcdir)/xmldocs.make

2004-05-07 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* autogen.sh: use gnome-common instead of doing everything by hand.

2004-05-07 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* omf-install/Makefile.am: remove this file, as it is not used by
	  anything.

2004-05-07 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/gnome-terminal.schemas.in: added the
	  /schemas/apps/gnome-terminal/global/confirm-close schema, a boolean
	  which, when true, causes a confirmation dialog when closing a window
	  with more than one tab.
	* src/terminal-window.c(terminal_window_init,
	  terminal_window_delete_event, confirm_close_window): implement the
	  above key. This comes from bug #87771.

2004-05-07 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-screen.c: make the Paste menu item in the popup be
	  insensitive when there is nothing in the clipboard. Caught by Madhan 
	  Raj M, with patch and all, on bug #142101. 

2004-04-27 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/eggcellrendererkets.c: change the prototypes of
	  egg_cell_renderer_keys_set_accelerator and 
	  egg_cell_renderer_keys_get_accelerator so that they match the ones
	  in the header file. Fixes bug 141221 reported by Stef van der Made.

2004-04-09 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal.c(terminal_util_show_error_dialog): make the error
	  dialogs have an OK button, not a Close button, which seems to be
	  more HIGgy.
	* src/terminal-accels.c(accel_edited_callback,
	  terminal_edit_keys_dialog_new, cb_check_for_uniqueness): check
	  keyboard shortcuts for uniqueness before accepting them. Fixes
	  #128033; essentially from the patch posted there by Kiran Kumar
	  Immidi.

2004-04-15 Iñaki Larrañaga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-04-09 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* configure.in: Bump version to 2.7.0, and added
	gnome-terminal.desktop.in to the list of substituted-for files.
	* gnome-terminal.desktop.in: delete this
	* gnome-terminal.desktop.in.in: and add this with a @VERSION@ field.

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-03-22  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-22  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.6.1.

2004-03-22  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.6.0.

2004-03-17  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* help/es/*: Updated Spanish translation for Gnome 2.6

2004-03-14  Thomas Vander Stichele <thomas at apestaart dot org>

	* po/tr.po: run gunzip on it, recommit

2004-03-03 Breda McColgan <breda.mccolgan@sun.com>

	* help/C/gnome-terminal.xml: Updated for GNOME 2.6, technical review draft
	* help/C/gnome-terminal-C.omf: Updated for GNOME 2.6
	* help/C/l10n.txt: Updated for GNOME 2.6
	* help/C/figures/gnome-terminal-default.png: Updated for GNOME 2.6
	* help/C/figures/gnome-terminal-tabbed.png: Updated for GNOME 2.6

2004-03-02 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-window.c(terminal_window_init): actually pass the
	menuitem to the window_state_event_callback.

2004-03-02 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/gnome-terminal.glade2: make all dialogs have the DIALOG window
	type hint, so that they can be used in fullscreen mode. 

2004-02-24 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* configure.in: 2.5.90

2004-02-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "en_CA" to ALL_LINGUAS.

2004-02-21  Paisa Seeluangsawat  <paisa@users.sf.net>

	* configure.in: Added Thai (th) to ALL_LINGUAS.

2004-02-20 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal.c(terminal_util_set_labelled_by): remove this function,
	  since LABELLED_BY relations are now guessed correctly by gail.
	* src/terminal_screen.c(terminal_screen_edit_title):
	* src/terminal.c(terminal_app_new_profile, terminal_app_manage_profiles):
	* src/simple-x-font-selector.c(egg_xfont_selector_init):
	  remove calls to terminal_util_set_labelled_by.

	  All this from a patch by Padraig O'Brian, bug #133982.

2004-02-20 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-screen.c(terminal_screen_do_popup): Fix an accelerator
	clash in the popup menu. Reported by Ben Maurer, bug #134925.

2004-02-17 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* configure.in: 2.5.5

2004-02-17 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/Makefile.am: install schemas from $(srcdir)/$(schema_DATA), not
	just $(schema_DATA). The $(schema_DATA) is not built on disted
	tarballs. This reverts part of Jason Leach's change of Feb 10th... 

2004-02-15 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/gnome-terminal.glade2: set the New Profile dialog to be
	invisible, so that we show it when when know its transient parent, as
	suggested by Owen, bug 134032.

2004-02-09 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/profile-editor.c(terminal_profile_edit): set the use-filechooser
	property on the background image GnomeFileChooser, so that we use the
	new file dialog. Caught by Seth, #132906.

2004-02-10  Jason Leach  <leach@wam.umd.edu>

	* src/Makefile.am (install-data-local): Don't install a schema if
	the user configures with --disable-schemas-install
	(#106133, Julio Merino)

	* src/Makefile.am (install-data-local): builddir != srcdir fix.

2004-02-09 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-screen.c(terminal_screen_popup_menu): this callback
	should return a gboolean.

2004-02-08 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/gnome-terminal.glade2: set accessible names on the two “built-in
	scheme” option menus in the Color page of the Profile Editor dialog, so
	they can be told apart. Caught by Muktha Narayan, bug 90530.

2004-02-05 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal.c(parse_options_callback): fix an error string which 
	did not make sense; Richard Hult, bug 133477.

2004-02-04 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* configure.in: 2.5.4

2004-02-02 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal.c(terminal_app_get_clone_command): save the geometry of
	the active tab in the command. Not ideal :-/ Fixes bug 133122.

2004-01-31 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-screen.c(terminal_screen_get_working_dir): don't run
	pwdx to get working directory for child in Solaris, but use fun hack
	in patch by Robert Basch <rbasch@mit.edu>; fixes bug 117775.

2004-01-23 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/profile-editor.c(fontpicker_get_desc, fontpicker_set_if_changed,
	font_set, terminal_profile_edit): go from GnomeFontPicker to
	GtkFontButton in the General page of the profile editor.

2004-01-23 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/gnome-terminal.glade2:
	* src/profile-editor.c(colorpicker_set_if_changed, foreground_color_set, 
	background_color_set, palette_color_set): go from GnomeColorPicker to
	GtkColorButton in the Color page of the profile editor.

2004-01-21 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-window.c(terminal_window_init): use gtk_true instead of 
	can_activate_accel_callback.

2004-01-21 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal.c(main): move a non-constant initializer down to a more
	C89ish place. Reported as bug #131614.

2004-01-21 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-window.c (can_activate_accel_callback,
	(terminal_window_init): Connect to can-activate-callback and
	return TRUE to make accels work when the menubar is hidden. 
	Patch from Richard Hult; fixes bug #129829.

2004-01-03  Robert Sedak  <robert.sedak@sk.htnet.hr>

	* configure.in: Added "hr" in ALL_LINGUAS.

2004-01-01  Åsmund Skjæveland  <aasmunds@fys.uio.no>

	* configure.in: Added 'nn' to ALL_LINGUAS.
	* po/nn.po: Started Norwegian Nynorsk translation.

2003-12-08 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* configure.in: 2.5.1

2003-12-01 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/profile-editor.c(terminal_profile_edit): mark the fontsel label
	as a mnemonic widget for the font selector. Fixes #126180, caught by
	David Hawthorne, patch by Padraig Obriain.
	
2003-11-17 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-screen.c(open_url): pass the url through
	gnome_vfs_make_uri_from_input, to fix things like `www.gnome.org'.
	Bug 127107, Behdad Esfahbod. 
	* configure.in: ask for gnome-vfs-2.0 to pkg-config.
	* src/Makefile.am: remove some whitespace

2003-11-12 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/gnome-terminal.schemas.in:
	* src/terminal-accels.c(terminal_accels_init, disable_mnemonics_toggled): 
	  Say `access key' instead of `mnemonic'. Fix #113442.

2003-11-04 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/gnome-terminal.glade2: fix an accelerator key clash in the General
	  page of the profile editor (_Cursor blinks -> Cursor blin_ks) reported
	  as bug 126196.

2003-11-06  Breda McColgan  <Breda.McColgan@sun.com>

	* help/C/gnome-terminal.xml: Updated for GNOME 2.4.2
	* help/C/gnome-terminal-C.omf : Updated to reflect new manual version number and date
	* help/C/l10n.txt: Updated Summary of Changes section

2003-11-04 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal.c(terminal_util_show_help): new function to invoke help
	  and show a dialog if that fails.
	* src/encoding.c(response_callback):
	* src/profile-editor.c(editor_response_cb):
	* src/terminal-window.c(help_callback):
	* src/terminal.c(manage_profiles_response_cb): use the new
	  terminal_util_show_help function.

2003-10-30 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-window.c(about_callback): added myself.
	* src/terminal-window.c(terminal_window_init,terminal_window_set_active): 
	  listen to the switch_page signal on the notebook, but don't grab the
	  focus when setting the active page: let the notebook do that. Fixes
	  125282.
	
2003-10-22 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* configure.in: 2.5.0

2003-10-20 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/gnome-terminal.glade2: 
	* src/terminal.c(terminal_app_manage_profiles):
	* src/profile-editor.c(profile_editor_update_visible_name):
	  Make the dialog titles match the unellipsisied labels of the 
	  menuitems that make them pop.
	* src/terminal-screen.c(terminal_screen_do_popup, close_tab_callback):
	  Reorder items in popup, add a Close Tab item, and add a couple of 
	  separators; s/New/Open/ in labels.
	* src/terminal-window.c(menuitem_icon_visibility, append_stock_menuitem,
	  append_check_menuitem, terminal_window_init,
	  terminal_window_finalize): various fixes to the
	  menu item labels, make them follow
	  /desktop/gnome/interface/menus_have_icons, and change variable
	  entries to checkbox menu items. 
	* src/terminal_window.c(terminal_window_set_fullscreen, and related): 
	  use gtk_window_{,un}fullscreen, and not our private implementation.
	  Also listen for window_state_event events, so that the Fullscreen 
	  menuitem reflects reality.
	* src/terminal_window.c(about_callback): use _("GNOME Terminal") and
	  not PACKAGE for the app name in the call to gnome_about_new, so that
	  we get the translated app name and not the tarball name.

	  Most of this comes from bug 76800 and my patch therein.
	  
2003-10-20 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal.c(main): free the argv_copy and the options results;
	  leak reported in bug 124910. Also free argv_copy at the other early
	  returns, to lighten valgrind output, as suggested in bug 124416.
	* AUTHORS: added myself.

2003-10-16 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal.c(main): free the popt context when it is no longer
  	  needed; suggested by bug #124416.

2003-10-14 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/Makefile.am: temporarily remove GNOME_DISABLE_DEPRECATED and
	  GTK_DISABLE_DEPRECATED from CFLAGS so that we can build against 
	  gtk+ and libgnomeui from HEAD. Fixes 124557.

2003-10-14 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-window.c(terminal_window_init): don't listen to
	  switch_page but to select_page. Also rename the corresponding
	  callback accordingly. This fixes 98884.

2003-10-12 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal.c(terminal_util_set_unique_role): new funtion, to be
	  used when setting window roles.
	* src/encoding.c(terminal_encoding_dialog_new):
	* src/profile-editor.c(terminal_profile_edit):
	* src/terminal-accels.c(terminal_edit_keys_dialog_new):
	* src/terminal-screen.c(terminal_screen_edit_title):
	* src/terminal-window.c(about_callback):
	* src/terminal.c(terminal_app_new_term,terminal_app_new_profile,
	  terminal_app_manage_profiles): set unique role on each dialog.
	  Fix #90397.
	* src/terminal-screen.{c,h}: introduce a new icon-title-changed signal,
	  and handle icon and window titles separately.
	* src/terminal-window.c(title_changed_callback, icon_title_changed_callback, 
	  terminal_window_{add,remove}_screen, terminal_window_set_active): connect 
	  to the new icon-title-changed on screens, and handle it appropriately.
	  Now we handle icon name control sequences; fixed #84614.

2003-10-10 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal.c: add a --default-working-directory and pass cwd as
	its argument in factory calls so that starting terminals from command
	lines preserves the current working directory. See bug 95205.
	* src/terminal-screen.c(screen_terminal_init): use g_get_current_dir
	instead of getwcd.

2003-10-02 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/gnome-terminal.schemas.in: Fix bug #113446, systematically 
	do a systematic s/(accelerator|keybinding)/keyboard shortcut/, and
	make usage of periods in messages consisten with the rest of GNOME,
	fixing bug #123695.

2003-09-30 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-profile(terminal_paletter_from_string),
	* src/terminal.c(profile_list_delete_selection): use ngettext, fixing
	bug #106699.
	* src/terminal-widget-vte.c(terminal_widget_fork_command): make this
	actually g_set_error its GError argument when there is an error, as
	seen on bug #123526.

2003-09-22 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/.cvsignore: added gnome-terminal.schemas.
	* src/terminal.c(parse_options_callback): undeprecate the
	--use-factory option, which is the default anyways; fixes (half of) 
	bug 101143.

2003-09-20 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/gnome-terminal.schemas: removed, as this is a generated file.
	* src/terminal-screen.c(new_window_callback, new_tab_callback): make
	context menu open new window/tabs in the current tab's working
	directory. This fixes bug 122542.
	* src/terminal.c(new_profile_response_callback): gconf-escape the new
	profile name before creating the profile. This fixes bug 122349.

2003-09-12  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "ta" (Tamil) to the languages' list.

Wed Sep 10 15:03:51 2003  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: Rerelease 2.4.0.1 to fix glib-gettext problem.

2003-09-08  Havoc Pennington  <hp@redhat.com>

	* configure.in: 2.4.0

2003-09-04  Havoc Pennington  <hp@redhat.com>

	* src/terminal-screen.c (reread_profile): remove grouping parens
	from skey regexp

2003-09-06 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/Makefile.am: added INTLTOOL_SCHEMAS_RULE.
	* src/gnome-terminal.schemas.in: moved the default value for
	/schemas/apps/gnome-terminal/profiles/Default/title to the C locale,
	so that it gets translated.

2003-09-06  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "hi" to ALL_LINGUAS.

2003-09-02  Havoc Pennington  <hp@pobox.com>

	* Makefile.am (EXTRA_DIST): add HACKING

2003-08-29 Irene Ryan <irene.ryan@sun.com>

	* help/C/gnome-terminal.xml: updates to Help for GNOME 2.4 release
	* help/C/gnome-terminal-C.omf: updated manual version info
	* help/C/l10n.txt: added this new file that contains information 
	  for L10N teams about how to set up screenshots for inclusion in 
	  Help and about differences from one version of the Help to another.

2003-07-29 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-profile.c(terminal_profile_forget): fix error message,
	as suggested in bug 102423.
	* gnome-terminal.desktop.in: add bug-buddy information, fixing
	bug 109385.
	* src/terminal.c(terminal_util_load_glade_file): simplify an error
	message, as per bug 100335.
	* src/terminal-screen.c(terminal_screen_init): allow user:passwd in
	urls. Close bug 5457.
	
2003-07-29 Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

	* src/gnome-terminal.glade2: Allow only numeric values to spin
	button. Fixes bug #115439.

2003-07-22 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal.c: general make-over of error messages relating to
	command line options, as suggested in bug 101484.

2003-07-17 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* src/terminal-screen.c: make profiles use the system terminal font,
	and not only its size. Essentially O. Taylor's patch from bug 106935.
	This also fixes bug 105540.
	* src/gnome-terminal.glade2: update the profile editor dialog to
	reflect the above change.

2003-07-15 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>
	
	* src/skey-popup.c(terminal_skey_do_popup): forgot an argument in the
	last commit.

2003-07-15 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

	* terminal.c(terminal_util_show_error_dialog): add this function, and
	use it everywhere else to construct error dialogs (long list of affected
	functions omitted...)
	* terminal.c(new_profile_response_callback): move the New Profile
	dialog to glade-land, making it more HIG-compliant and letting it open a
	profile editor on the newly created profile.
	* terminal-screen.c(show_fork_error_dialog): inline this, using
	terminal_util_show_error_dialog, directly in
	terminal_screen_launch_child.
	* gnome-terminal.glade2: add the New Profile dialog.

	Everything, from the patch in bug #117445.

2003-07-15 Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>

 	* src/terminal-window.c(append_stock_menuitem): fix a typo (bug
 	#113443)
 	* src/gnome-terminal.glade2: s/sytems/systems/ from bug #102420.
 	* skey-popup.h: remove astray comment.

2003-07-15  Havoc Pennington  <hp@redhat.com>

	* NEWS: update

	* configure.in: 2.3.2

2003-07-10 John Fleck <jfleck@inkstain.net>

	* help/xmldocs.make
	* help/omf.make
	Sync help build stuff with Malcolm's gnome-common
	versions of these files.

2003-07-03  Kjartan Maraas  <kmaraas@gnome.org>

	* src/eggcellrendererkeys.c:
	(egg_cell_renderer_keys_set_accelerator): Merge leak fix
	from stable.

2003-06-30  Mohammad DAMT  <mdamt@bisnisweb.com>

	* po/id.po: Added Indonesian translation
	* configure.in: Added "id" to ALL_LINGUAS

2003-06-29  Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>
	* src/terminal-window.c(new_window_callback, new_tab_callback): 
	* src/terminal.c(terminal_app_get_clone_command): 
	* src/skey/btoe.c: Minor changes to appease gcc.
	* src/terminal-window.c(fill_in_new_term_submenus): Handle underscores
	in visible profile names, fixing bug #78903.
	* src/terminal-screen.c(terminal_screen_init): Fix URL pattern, as in
	bug #114597.
	* src/gnome-terminal.glade2:
	* src/terminal-accels.c(terminal_edit_keys_dialog_new):
	* src/terminal-window.c(terminal_window_init): Higgify away the words
	`keybinding', `mnemonic', `accelerator'. Bug #90720.

2003-06-24  Mariano Suárez-Alvarez <msuarezalvarez@arnet.com.ar>
	* src/terminal.c(parse_options_callback): Make `deprecated option'
	message mention the option; fixes bug #109356.

	* src/terminal.c(terminal_app_get_clone_command): Don't put
	--use-factory in the clone command. From the patch given in #109356.

	* src/terminal-screen.c(terminal_screen_do_popup): Don't show the 
	`Open/Copy Link' items in the context menu, unless the click was on a
	link, and in that case move then to the top. Fixes #110999.

	* src/terminal-window.c(new_window_callback, new_tab_callback): Make
	new windows/tabs start in the current directory as the current tab.
	Fixes bug #89029.

2003-06-17  Nalin Dahyabhai <nalin@redhat.com>
	* src/terminal-widget-vte.c: correctly handle cases where we have
	more than one URL or skey pattern (which we already do for URLs).

2003-06-17  Taneem Ahmed  <taneem@eyetap.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-06-11  Nalin Dahyabhai <nalin@redhat.com>
	* src/terminal-widget-vte.c(terminal_widget_check_match): prevent false
	positives when the matched string matched the skey regex instead of the
	URL regex.
	* src/terminal-widget-vte.c(terminal_widget_get_estimated_bytes_per_scrollback_line):
	tweak estimate to use sizeof(gunichar) instead of sizeof(wchar_t), the
	terminal widget uses gunichars internally.

2003-06-11  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c: remove update_active_encoding_name() 
	which was pointless; Mariano Suarez-Alvarez #114870
	
2003-06-07 Mark Finlay <sisob@eircom.net>

	* gnome-terminal.applications: Added
	* Makefile.am

	Adding a mimetype for the termial so that you can
	right click on a folder in nautilus and click 
	Open with->Terminal. (bug #81603)

2003-06-06  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c (reset_tab_menuitems): don't add
	accelerator for notebook tab 1 if there's only one tab. 
	Bug #109128 from Paul Duran

2003-06-03  Nalin Dahyabhai <nalin@redhat.com>
	* src/terminal-window.c (notebook_page_switched_callback): We need
	to resize the newly-selected widget after we make it the active
	widget

Mon Jun  2 16:03:48 2003  Jonathan Blandford  <jrb@redhat.com>

	* src/terminal-window.c (notebook_page_switched_callback): We need
	to update the active widget when we switch panes, #114282

2003-05-30  Havoc Pennington  <hp@pobox.com>

	* src/gnome-terminal.schemas.in: s/app/application/ per
	Christian Rose suggestion #113561

2003-05-20  Havoc Pennington  <hp@redhat.com>

	* NEWS: update

	* configure.in: bump to 2.3.1

2003-05-06  Danilo ÃÂ egan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-05-04  Telsa Gwynne  <hobbit@aloss.ukuu.org.uk>

	* po/cy.po: Added
	* configure.in: Added cy to ALL_LINGUAS

2003-05-03  Havoc Pennington  <hp@pobox.com>

	* src/gnome-terminal.glade2: fix duplicate mnemonics #82062

2003-04-29  Paul Duffy <dubhthach@frink.nuigalway.ie>

	* configure.in: Added ga to ALL_LINGUAS
	
2003-04-24  Kjartan Maraas  <kmaraas@gnome.org>

	* src/skey/skey.c: #include <stdlib.h> to get rid of a warning.
	* src/Makefile.am: Remove x-font-selector.[ch] from build. Fixes
	#94887. Fix from <berberic@fmi.uni-passau.de>
	* src/terminal-window.c, src/terminal-screen.c: Fix for #98589.
	Menus in terminal have icons even when the option is disabled.
	From <pasupathi.duraisamy@wipro.com>.

2003-04-22  Laszlo Kovacs <laszlo.kovacs@sun.com>
	* src/terminal-screen.c:
	#101529 fixed

2003-04-21  nalin
	* src/terminal-widget-vte.c(terminal_widget_set_colors): set the color
	which is used to tint images and desktop pixmaps to the default text
	background color.

2003-04-17  Mike Lei <mike.lei>

	* configure.in: Added Makefile support for l10n help dirs
	* help/{de,es,fr,it,sv,ja,ko,zh_CN,zh_TW} doc files

2003-04-15  Shivram U  <shivaram.upadhyayula@wipro.com>

	* src/terminal-window.c (notebook_page_switched_callback): We neednt
	explicitly set focus to the terminal active tab anymore. (#98884)

2003-04-14 nalin
	* src/vte.c: hook up background scrolling.
	* configure.in: require a version of libvte which supports scrolling
	backgrounds.

2003-04-02  Havoc Pennington  <hp@redhat.com>

	* src/terminal.c: bug #108931. apply patch from Mariano
	Suarez-Alvarez to add --active command line option and use it to
	save/restore active tab across sesssions. Also add --tab/--window
	to make it easier to open tabs/windows with the default profile.

2003-03-13  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (main): set application name to 
	"Terminal" (should not introduce a new string 
	as that string is already in use)

2003-03-13  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ml" to ALL_LINGUAS.

2003-03-10  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-03-08  Metin Amiroff  <metin@karegen.com>

	* configure.in: Added "az" to ALL_LINGUAS.

2003-02-21  Roozbeh Pournader  <roozbeh@sharif.edu>

	* src/encoding.c: Changed "Farsi" to "Persian".

2003-02-20  Alex Duggan  <aldug@astrolinux.com>

	* configure.in:
	* src/Makefile.am:
	Remove support for libzvt, bump required vte version to 0.10.22

2003-01-31  Havoc Pennington  <hp@redhat.com>

	* src/terminal.c: track whether we're done initializing, so we can
	avoid handling new terminal events until we are.
	(terminal_new_event): rearrange this to queue up new terminal
	requests, and handle them only once we're fully initialized.

2003-01-27  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added "sq" to ALL_LINGUAS.
	
2003-01-24  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.in: Added "it" (Italian) to ALL_LINGUAS.

2003-01-23 nalin
	* src/terminal-screen.c(terminal_screen_button_press_event): Make
	buttons 1 and 2 activate both URLs and S/Keys (previously, S/Key was
	only handled for the first button).  Always check the event state
	before grabbing focus or checking for matches.  Only pop up the
	right-click menu if none of the regular three modifiers are pressed.
	If the event wouldn't trigger dingus actions or pop up a menu, pass
	it to the terminal widget for handling (part of #86943).

2003-01-22  Breda McColgan  <Breda.McColgan@sun.com>

	* help/C/gnome-terminal.xml: Updated for GNOME 2.2

	* help/C/gnome-terminal-C.omf : Updated to reflect new manual version 
	number and date

2003-01-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

2003-01-21  Havoc Pennington  <hp@redhat.com>

	* configure.in: say that stable branch is 2.2.x,
	move version to 2.3.0

	* src/terminal-profile.c: fix from Nalin so that changing the
	background shading actually works

2003-01-16  Havoc Pennington  <hp@redhat.com>

	* src/terminal.c (option_parsing_results_check_for_display_name):
	when deleting arguments, don't leave duplicate pointers in the 
	array. Also, don't strip --display/--screen found after 
	-x argument.

	* src/terminal.c (main): when inserting a --display argument, 
	do so at argv[1] instead of appending to argv, because appending
	breaks when using -x

2003-01-11  Christophe Fergeau  <teuf@users.sourceforge.net>

	* src/encondings.c (update_active_encodings_from_string_list): fixed
	compilation with gcc 2.95

2003-01-10  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Amharic (am), Arabic (ar), Macedonian (mk)
	and Dutch (nl) to ALL_LINGUAS

2003-01-10  Havoc Pennington  <hp@pobox.com>

	* NEWS: update

	* configure.in: 2.1.4

2003-01-09  Nalin Dahyabhai  <nsdahya1@pobox.com>

	* src/encodings.c (update_active_encodings_from_string_list): filter
	out duplicates, sort so that the current locale encoding is first and
	UTF-8 (if not the current locale encoding) is second (Red Hat #80604).

2003-01-05  Havoc Pennington  <hp@pobox.com>

	* configure.in: GTK 2.2.0 is required

2003-01-05  Havoc Pennington  <hp@pobox.com>

	* src/terminal-accels.c (terminal_edit_keys_dialog_new): don't
	leak GladeXML object

	* src/encoding.c (terminal_encoding_dialog_new): don't leak the
	GladeXML object.

	* src/skey-popup.c (terminal_skey_do_popup): destroy the skey
	dialog in between uses, I believe this may fix some weirdness 
	where it sometimes popped up in funny places. 
	Also, don't leak the GladeXML object.

2003-01-05  Havoc Pennington  <hp@pobox.com>

	* src/encoding.h (enum): fix compilation by adding missing 
	encoding to enum.

2003-01-02  Havoc Pennington  <hp@redhat.com>

	* src/encoding.c: add ISO-8859-2

2002-12-22  Christian Neumair  <chris@gnome-de.org>

	* src/terminal-window.c: Revamped about dialog (#101812).

2002-12-18  Satyajit Kanungo  <satyajit.kanungo@wipro.com>
	* src/terminal-screen.c (terminal_screen_get_working_dir): 
	  Remove the ':' from the output string to get the working
	  directry correct ( On Solaris bug #79748) 

2002-12-09  Havoc Pennington  <hp@redhat.com>

	* configure.in: 2.1.3

2002-12-09  Artis Trops  <hornet@navigator.lv>

	* configure.in: Added Latvian (lv) to ALL_LINGUAS.

2002-12-08  Havoc Pennington  <hp@pobox.com>

	* src/profile-editor.c: alphabetize the palette and use "gray on
	black" not "linux console" for consistency and "not weird on
	solaris" fu

2002-10-25  Jeffrey Stedfast  <fejj@ximian.com>

	* src/profile-editor.c: Add a "Linux console" gray on black colour
	scheme since it was available in GNOME 1.4 and it is more pleasant
	on the eyes than white-on-black. Fixes bug #96759.

2002-12-08  Daniel Elstner  <daniel.elstner@gmx.net>

	* src/terminal.c (main): Don't insert NULL pointers in between
	arguments in argv_copy.  Also, don't increment argc_copy for the
	trailing NULL terminator.  (#100658)

2002-12-08  Havoc Pennington  <hp@pobox.com>

	* src/gnome-terminal.glade2: change "use the same font" to "use
	the same size font" - still a slight fib as we'll also copy
	bold/italic, but keeps people from expecting the family to be
	copied.

2002-12-07  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (find_screen_by_display_name): ref the screen 
	in the fallback gdk_screen_get_default() case

	* src/encoding.c (terminal_encoding_init): indentation stuff

	Patch from Mathias Hasselmann to allow more than 32 settings.

	* src/terminal-profile.[hc]: use a struct instead of an 
	int to store the flags in TerminalSettingMask
	
	* src/profile-editor.c: adapt to TerminalSettingMask changes

2002-12-07  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (main): don't try to use an empty string
	DESKTOP_STARTUP_ID (which is common since we set it to empty
	instead of deleting it in GDK, due to rumored unportability of
	unsetenv). Also fixes a crash since libstartup-notification was
	barfing on empty startup ID; fixed in libstartup-notification CVS.

2002-12-06  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (terminal_app_get_clone_command): only add
	--working-directory if the working dir is actually available.
	May fix #87046, though #87046 may have already been fixed.

2002-12-04  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (terminal_util_load_glade_file): utility function 
	for loading glade files, to fix up all the error handling 
	I had all over the place for that, and fix the string for 
	translators

2002-12-05  Havoc Pennington  <hp@redhat.com>

	* gnome-terminal.desktop.in (StartupNotify): enable startup
	notification

	* src/terminal-window.c (terminal_window_set_startup_id): new
	function
	(terminal_window_show): set the startup ID on the window, 
	and send the "launch complete" message after we open the 
	window.

	* src/terminal.c: add --startup-id option and pass --display and
	--screen to child processes when using the factory

	* configure.in: require startup-notification

2002-12-03  Havoc Pennington  <hp@pobox.com>

	* configure.in: flip default to --with-widget=vte

2002-12-02  Nalin Dahyabhai <nsdahya1@pobox.com>

	* src/terminal-screen.c, src/terminal-screen.h: connect to the
	terminal widget's encoding_changed signal.  Add an encoding_changed
	signal which is emitted when we catch the terminal widget's signal.
	* src/terminal-widget.h: declare connect_encoding_changed()
	and disconnect_encoding_changed() functions.
	* src/terminal-widget-vte.c, src/terminal-widget-zvt.c: implement
	connect_encoding_changed() and disconnect_encoding_changed() functions.
	* src/terminal-window.c: update the encodings menu when we receive an
	encoding_changed signal from the terminal screen object, so that we
	update properly when an application changes the terminal's encoding.

2002-12-02  Havoc Pennington  <hp@pobox.com>

	* src/profile-editor.c (terminal_profile_edit): improve font
	selector packing

	* src/gnome-terminal.schemas: change update_records to default to
	true

	* src/gnome-terminal.glade2: UI review updates

	* src/profile-editor.c (terminal_profile_edit): put
	lines/kilobytes scrollback widgets in a size group

	* src/encoding.c (terminal_encoding_init): fool with indentation
	and braces

2002-12-01  Havoc Pennington  <hp@pobox.com>

	* src/eggcellrendererkeys.c: update from libegg

2002-11-26  Glynn Foster  <glynn.foster@sun.com>

	* configure.in: 2.1.2

2002-11-22  Nalin Dahyabhai <nalin@redhat.com>

	* src/encodings.c, src/encodings.h: don't present the user with
	encodings which don't pass ASCII through cleanly, either because
	they don't exist or they aren't ASCII supersets.

2002-11-19  Havoc Pennington  <hp@redhat.com>

	* src/terminal-screen.c (terminal_screen_get_working_dir): apply
	patch from Deepa Chacko Pillai and Pasupathi for #79748
	(makes get_working_dir do something useful on Solaris)
	
Wed Nov 13 14:27:03 2002  HideToshi Tajima  <hidetoshi.tajima@sun.com>

	* src/terminal-widget-zvt.c (terminal_widget_set_pango_font):
	enabled pango font for libzvt.(Fix for #78007, #90840, ...)

Sun Nov  3 16:18:07 2002  Jonathan Blandford  <jrb@gnome.org>

	* src/skey/Makefile.am (INCLUDES): de-LART

	* src/skey/config.h: clean up old-school C.

2002-11-03  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS

2002-10-31  Havoc Pennington  <hp@redhat.com>

	* src/skey/Makefile.am: take -Wall out of cflags; still some 
	"need to use config.h" problems here, not actually distchecking 
	2.1.1 until fixed.

	* configure.in: 2.1.1, and add the cool feature summary output at
	the end of configure.

2002-10-30  Nalin Dahyabhai <nalin@redhat.com>

	* src/terminal-widget-vte.c: Implement
	terminal_widget_skey_match_remove().
	* configure.in: Require a sufficiently-new VTE if building with it.

Wed Oct 30 15:22:06 2002  Jonathan Blandford  <jrb@gnome.org>

	* src/gnome-terminal.glade2: Add a new dialog.

	* src/gnome-terminal.schemas: New key to add skey support.

	* src/skey-popup.c: (terminal_skey_do_popup): Popup the skey
	dialog.

	* src/skey/*: cut-n-paste of a simple skey implementation

	* src/terminal-profile.c:
	* src/terminal-screen.c:
	* src/terminal-widget-vte.c:
	* src/terminal-widget-zvt.c:
	* src/terminal-widget.h: Add support for skey dingus.

2002-10-30  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (terminal_app_get_clone_command): don't free the 
	arg to --command prior to using it (#96788, patch from Brad Garcia)

2002-10-25  Nalin Dahyabhai <nalin@redhat.com>

	* src/terminal-widget-vte.c (terminal_widget_fork_command):  Update to
	match VTE HEAD, fixing Red Hat #76529.

2002-10-24  Nalin Dahyabhai <nalin@redhat.com>

	* src/terminal-screen.c(terminal_screen_do_popup):  Add the terminal
	widget's input method menu to the popup menu.
	* src/terminal-widget-vte.c, src/terminal-widget-zvt.c:  Implement
	terminal_widget_im_append_menuitems().

2002-10-19  Rajkumar Sivasamy  <rajkumar.siva@wipro.com>

	* src/simple-x-font-selector.c: Make EggXFontSelector's finalize
	method to free EggXFontFilter's data.
	Fixes #89770

Fri Oct 18 10:20:54 2002  HideToshi Tajima  <hidetoshi.tajima@sun.com>

	* src/terminal-screen.c (make_font_monospace):
	  Fix #96114: to responce to "use system font" option

2002-10-16  Nalin Dahyabhai <nalin@redhat.com>

	* src/terminal-widget-vte.c (terminal_widget_set_allow_bold):
	wire up set_allow_bold for vte

Wed Oct  9 10:11:55 2002  HideToshi Tajima  <hidetoshi.tajima@sun.com>

	* src/terminal-screen.c (drag_data_received):
	back out the previous change - conversion from UTF-8 should
	be performed in terminal widget side - since only the
	terminal widget know which encoding it is in (#95230)

Tue Oct  8 19:40:40 2002  HideToshi Tajima  <hidetoshi.tajima@sun.com>

	* src/terminal-screen.c (drag_data_received):
	convert drag&drop data back to locale's encoding before sending to
	terminal (#95230: drag&drop is broken with non-ASCII characters)

2002-10-04  Havoc Pennington  <hp@redhat.com>

	Add View->Zoom In, View->Zoom Out, View->Normal Size, 
	for bug #94427
	
	* src/terminal.c: take --zoom command line option, save --zoom in
	the session.

	* src/gnome-terminal.schemas: add new keybindings

	* src/terminal-accels.c: add Ctrl++ Ctrl+- Ctrl+= zoom shortcuts

	* src/terminal.c (terminal_app_new_terminal): fix a warning about
	printf format

	* src/terminal-window.c: add font size menu items

	* src/terminal-screen.c (terminal_screen_get_font_scale): new
	function
	(terminal_screen_set_font_scale): new function
	(terminal_screen_update_on_realize): actually use the font size
	derived from the system font, was broken before

2002-09-29  Havoc Pennington  <hp@pobox.com>

	* src/eggaccelerators.c: update from libegg, fixes
	super/meta/hyper to work correctly.

2002-09-23  Ross Burton  <ross@burtonini.com>

	* gnome-terminal.desktop.in: Fix the desktop file so that it
	validates correctly, and claims to be a GNOME terminal
	emulator. Closes #91150.

2002-09-23  Marius Andreiana <mandreiana@yahoo.com>

	* help/Makefile.am: added ro subdir
	* help/ro: added romanian help translation
	* configure.in: added help/ro/Makefile

2002-09-22  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (terminal_app_new_terminal): make the window role
	slightly "more unique" by adding pid and time(NULL) to it.  Also,
	put "gnome-terminal-" in the role to avoid possible confusion with
	other apps in the case of a silly window manager.

2002-08-14  Deepa Chacko Pillai <deepa.chacko@wipro.com>
 
	* src/terminal.c: Set the role for each terminal window.
	Added a new option '--role' to store the role information.

	* src/terminal.h: Added one more parameter, ie. role, to
	terminal_app_new_terminal ().

	* src/terminal-screen.c: Added one more parameter, ie. role, to
	terminal_app_new_terminal ().

	* src/terminal-window.c: Added one more parameter, ie. role, to
	terminal_app_new_terminal ().

2002-09-20  Narayana Pattipati <narayana.pattipati@wipro.com>

	* src/terminal.c : Handled the "die" signal sent by master
	session so that session can kill the terminal. Fixes bug#90612

2002-09-13  Havoc Pennington  <hp@redhat.com>

	* src/encoding.c: wire up the dialog for editing what's in the
	encoding menu; seems to work fairly well now. 
	
	* src/terminal-window.c (terminal_window_init): make encoding menu
	a submenu of Terminal menu, and update it whenever the terminal 
	menu is opened.

	* src/gnome-terminal.glade2: make encodings dialog default to
	!visible, remove rules from tree view

2002-09-03  Marius Andreiana <mandreiana@yahoo.com>

	* configure.in: added 'ro' to ALL_LINGUAS

2002-08-28  Irene Ryan <irene.ryan@sun.com>

	* help/C/gnome-terminal.xml : Updated to reflect changes to the UI and to
	fix http://bugzilla.gnome.org/show_bug.cgi?id=91029
	* help/C/gnome-terminal-C.omf : Update to reflect new manual version 
	number and date
	
2002-08-25  Havoc Pennington  <hp@pobox.com>

	* autogen.sh: require automake-1.6

Thu Aug 22 23:40:46 2002  Jonathan Blandford  <jrb@gnome.org>

	* src/terminal-accels.c (terminal_edit_keys_dialog_new): put in
	GTK+ mode.

	* src/eggcellrendererkeys.[ch]: update from libegg.

2002-08-21  Havoc Pennington  <hp@pobox.com>

	* configure.in: version to 2.1.0, and add a warning at the 
	end that this is the unstable branch

	* src/profile-editor.c (profile_editor_update_silent_bell): add
	missing "!" that made the "Terminal bell" setting behave
	incorrectly

2002-08-19  Padraig O'Briain <padraig.obriain@sun.com>

	* src/gnome-terminal.glade2 Correct mnemonic widgets  for labels
	"Color _palette", "_Scrollbar is:" and "_Delete key generates:".
	Set step_increment and page_increment for adjustment of GtkHScale
	darken-background-scale". Fixes #90552.

2002-08-14  Deepa Chacko Pillai <deepa.chacko@wipro.com>

	* terminal.c: Fixes terminal crashes while using 
	command line options (86982). Patch from 
	tino.shwarze@informatik.tu-chemnitz.de

2002-08-08  Nalin Dahyabhai  <nalin@redhat.com>

	* terminal-widget-vte.c: Handle widget padding.

2002-08-06  Deepa Natarajan  <deepa.natarajan@wipro.com>

	* terminal-window.c: Allow toggling of Hide/Show Menubar to
	work with keybindings. Fixes #88761.

2002-08-02  Yukihiro Nakai <nakai@gnome.gr.jp>

	* configure.in: ALL_LINGUAS ja (Japanese)

2002-07-23  Gustavo Noronha Silva <kov@debian.org>

	* configure.in: Added Brazilian Portuguese (pt_BR) to
	  ALL_LINGUAS

2002-07-15  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Catalan (ca) to ALL_LINGUAS

2002-07-14  Havoc Pennington  <hp@pobox.com>

	* configure.in: bump version to 2.1.0, add warning about unstable
	branch

2002-07-14  Havoc Pennington  <hp@pobox.com>

	Encoding stuff, not yet working.
	
	* src/terminal-widget-vte.c (terminal_widget_set_encoding): new
	function

	* src/update-from-egg.sh: adapt to libegg reorg

	* src/terminal-accels.c (binding_from_string): fix to allow
	no-accelerator shortcuts such as F1.

	* src/terminal-window.c: add the encoding menu

	* src/gnome-terminal.schemas: add active_encodings key

	* src/Makefile.am (gnome_terminal_SOURCES): add encoding.[hc]

	* src/encoding.c: new file for choose-an-encoding code

2002-07-13  Havoc Pennington  <hp@pobox.com>

	* src/terminal-accels.c (binding_from_string): Use
	egg_accelerator_parse_virtual() to parse keybindings, so defaults
	can contain <Meta> and such, except it doesn't work because 
	the GTK accelerator system won't allow it. Also add a filter to 
	barf on > Mod1 accels for now.

2002-07-12  Havoc Pennington  <hp@redhat.com>

	* src/simple-x-font-selector.c
	(egg_xfont_selector_get_xlfd_field): replace a g_ascii_strdown
	with a manual loop - we were leaking memory big time after an
	s/g_strdown/g_ascii_strdown. #84888

2002-07-12  Havoc Pennington  <hp@redhat.com>

	* src/terminal-screen.c (terminal_screen_init): add a style_set
	handler to dynamically update in response to system font/color 
	changes, completes #82979
	(get_child_command): remove const from a string that wasn't

2002-07-04  Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>
 
	* src/terminal-screen.c : Changed the XLFD property indices, this
	fixes the similar size font logic works correctly.
 
2002-07-12  Havoc Pennington  <hp@redhat.com>

	* src/terminal-screen.c (make_font_monospace): make this do
	something, though not anything useful.

2002-07-11  Stanislav Brabec  <utx@penguin.cz>

	* configure.in: Added Czech (cs) to ALL_LINGUAS

2002-07-09  Mark McLoughlin  <mark@skynet.ie>

	* gnome-terminal.desktop.in: use X-GNOME-DocPath instead
	of DocPath.

2002-07-05  Glynn Foster  <glynn.foster@sun.com>

	* src/gnome-terminal.schemas, src/terminal-accels.c: Add 'Help' 
	keybinding. Fixes #87439.

2002-07-04  Havoc Pennington  <hp@pobox.com>

	* help/C/Makefile.am (figdir): put "figures" subdir in Makefile, 
	#87244 fix from John Fleck

2002-07-04  Havoc Pennington  <hp@pobox.com>

	* apply UI review patch from Glynn, bug #85655

	Breaks strings and docs!

2002-07-04  Havoc Pennington  <hp@pobox.com>
	
	* src/terminal-window.c (fill_in_new_term_submenus): hack this so
	that the keybinding and the menu items also use the current
	instead of default profile. Now only new terminals opened from the 
	command line will use the default profile.

	* Applied patch from Bill Nottingham to use the current profile
	when opening a new tab/window, the way it used to work. This is 
	just a lot nicer, other way seemed like a bug.

2002-06-24  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Walloon (wa) to ALL_LINGUAS

2002-06-23  Havoc Pennington  <hp@pobox.com>

	* src/terminal-accels.c (accel_edited_callback): fix callback
	signature, #86076

2002-06-21  Yanko Kaneti <yaneti@declera.com>

	* configure.in: (ALL_LINGUAS) Added Bulgarian (bg).

2002-06-15  Havoc Pennington  <hp@pobox.com>

	* src/terminal-accels.c: apply fix for #84602 from Kristian
	Rietveld
	
	* src/eggcellrendererkeys.c: update from libegg, #84602

	* src/profile-editor.c (profile_editor_update_x_font): add
	demibold to the filter
	
	* src/terminal.c: refactor the code a bit to get #84516 fixed
	better and more manageably
	(terminal_new_event): remove unused variable

2002-06-11 Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

	* src/terminal.c: fix for #84516, not accepting --geometry in some
	cases.
	
2002-05-29  Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

	* src/gnome-terminal.glade: mnemonics for the checkbuttons
	in keybindings dialog, bug #83387

2002-06-11  Havoc Pennington  <hp@pobox.com>

	* configure.in: 2.0.0

2002-06-03  Kristian Rietveld  <kris@gtk.org>

	* src/terminal.c (sync_profile_list): only free list data if
	!use_this_list, it was freeing data twice in some cases (fixes
	#83851).

2002-06-03  Jesus Bravo Alvarez  <jba@pobox.com>

	* configure.in: Added gl (Galician) to ALL_LINGUAS.

2002-06-02  Havoc Pennington  <hp@pobox.com>

	* configure.in: 1.9.7

2002-06-02  Havoc Pennington  <hp@pobox.com>

	* src/terminal-widget-zvt.c (terminal_widget_fork_command): 
	zvt_term_forkpty()'s update_records arg is a bitmask not a bool.

2002-05-27  Chris Lyttle  <chris@wilddev.net

	* help/C/Makefile.am: Changed figs to figdir
	* help/xmldocs.make: Changed to new version for scrollkeeper
	* help/omf.make: Added for new scrollkeeper format
	* help/Makefile.am: Added omf.make to EXTRA_DIST
	
2002-05-24  Michael Meeks  <michael@ximian.com>

	* src/terminal.c (sync_profile_list): don't
	leak the string gconf keys.

	* src/terminal-window.c (reset_tab_menuitems):
	don't leak the accel_path.

	* src/terminal-screen.c (get_child_command):
	don't leak the user's shell.

	* src/terminal-profile.c
	(terminal_profile_update): don't leak all the
	string values we get from gconf.
	(terminal_profile_get_icon): don't leak the filename.

2002-05-24  Michael Meeks  <michael@ximian.com>

	* src/terminal.c (main): copy the args before
	we start, re-enable the terminal factory, and pass
	it the args.
	(option_parsing_results_init): split out of main.
	(new_terminal_with_options): split out of main,
	always create 1 new window.
	(terminal_new_event): create a new popt context
	re-parse the args, use new_terminal_with_option.

2002-05-26  Havoc Pennington  <hp@pobox.com>

	* src/profile-editor.c (terminal_profile_edit): add help to the
	edit profiles dialog

2002-05-26  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (manage_profiles_response_cb): modify Help button
	patch to report errors correctly

2002-05-20  Satyajit Kanungo  <satyajit.kanungo@wipro.com>

	* src/terminal.c Added a Help button in the Profiles... dialog
	box.

2002-05-20  jacob berkman  <jacob@ximian.com>

	* configure.in: remove libglade-convert check as it's not actually
	used anymore

2002-05-15  Nalin Dahyabhai  <nalin@redhat.com>

	* src/terminal-widget-vte.c: Hook up matching, enable mouse autohiding
	by default.

2002-05-15  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Vietnamese (vi) to ALL_LINGUAS

2002-05-13  Havoc Pennington  <hp@pobox.com>

	* configure.in: require brand new libzvt, bump to 1.9.6

	* src/terminal.c (main): temporarily disable the terminal factory, 
	until I have time to fix it.

2002-05-12  Mattias Eriksson  <snaggen@acc.umu.se>
	
 	* src/gnome-terminal.glade2: Change the shade checkbox to a slider
	to make use of the adjustable transparency.
 	* src/profile-editor.c: Add/Change callbacks to the transparency.
 	* src/terminal-profile.h: Remove some defines related to transparency.
 	
2002-05-12  Mattias Eriksson  <snaggen@acc.umu.se>
 	
 	* src/terminal-widget-zvt.c: Make use of the adjustable 
 	transparancy in libzvt 	
	
2002-05-13  Nalin Dahyabhai <nalin@redhat.com>

	* src/terminal-widget-vte.c:
	Hook up resetting and connection/disconnection of "selection-changed"
	signals.

2002-05-13  Mark Patton  <mpatton@jhu.edu>

	* src/simple-x-font-selector.c:
	Match a g_type_class_ref with a g_type_class_unref.
	
2002-05-12  Mark Patton  <mpatton@jhu.edu>

	* src/simple-x-font-selector.h, src/simple-x-font-selector.c:
	Minor cleanups and fixed a memory leak when a selector is finalized.

2002-05-12  Havoc Pennington  <hp@pobox.com>

	* src/gnome-terminal.glade2: set mnemonic tab for profile icon
	entry, from Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>,
	#79375

2002-05-12  Havoc Pennington  <hp@pobox.com>

	* src/gnome-terminal.glade2: remove mnemonics from notebook tabs

2002-05-12  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (terminal_app_new_terminal): don't
	gtk_window_present() the new window.

	* src/terminal-screen.c (terminal_screen_update_on_realize): add
	an assertion to fail if we end up with null X font name, so I can 
	tell the crash is from a new version instead of old.

2002-05-12  Havoc Pennington  <hp@pobox.com>

	* src/Makefile.am: profterm.schemas -> gnome-terminal.schemas 
	(accompanied by moving file on CVS server)

2002-05-11  Havoc Pennington  <hp@pobox.com>

	* src/profterm.schemas: add : and _ to word separators, 
	from chrisime@gnome.org (#80746)
	
2002-05-09  Havoc Pennington  <hp@redhat.com>

	* src/terminal.c: use correct enum value for the popt options
	using internal ID (#81264)

2002-05-07  Anders Carlsson  <andersca@gnu.org>

	* src/terminal-window.c: (about_callback):
	Call gtk_window_set_transient_for on the about dialog.
	
2002-05-04  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c (terminal_screen_update_on_realize): I
	should just test this before committing, probably.

2002-05-04  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c (terminal_screen_update_on_realize): fix
	refcounting screwups

2002-05-04  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c (terminal_screen_update_on_realize): check
	for NULL return from gdk_font_from_description() (#80787), 
	and unref the font when it's non-NULL to avoid leaking it.

2002-05-03  Havoc Pennington  <hp@redhat.com>

	* configure.in: 1.9.5

2002-05-02  Havoc Pennington  <hp@redhat.com>

	* src/simple-x-font-selector.c (egg_xfont_selector_init): fool
	around with packing options

	* src/terminal.c (main): add newline to error message about
	missing profile

	* src/terminal-screen.c (load_fonset_without_error): function to
	avoid error spew from gdk_fontset_load as we try the various
	fallback fonts.

	* src/gnome-terminal.glade2: change the option from "Use font from
	system theme" to "Use the same font as other applications"; 
	could probably still phrase this better.

	* src/terminal-screen.c (terminal_util_check_font_spacing): rename
	to font_is_monospace, don't use unportable strncasecmp(), use 
	same filter for monospace as the font selector
	(make_font_monospace): new function
	(terminal_screen_update_on_realize): rather than a hardcoded
	fallback, fall back to the font preference. But before 
	falling back, try to come up with a monospace font similar to the
	system font.

	* src/simple-x-font-selector.c (egg_xfont_selector_create_xlfd):
	remove debug spew

2002-04-25 Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

	* Enabling the option to use system font.

	* src/profile-editor.c: add checkbox to use system font.

	* src/terminal-screen.c: wire up code to use system font.

2002-05-02 John Fleck <jfleck@inkstain.net>

	* help/C/gnome-terminal-C.omf
	* help/C/gnome-terminal.xml
	* help/C/legal.xml
	* help/C/figures/gnome-terminal-default.png
	* help/C/figures/gnome-terminal-tabbed.png
	* help/C/figures/terminal_window.png
	Adding Pat Costello's new docs

2002-05-02  Nalin Dahyabhai <nalin@redhat.com>

	* src/terminal-widget-vte.c: fix a spelling goof in a comment and
	hook up backspace/delete bindings.

2002-05-01  Havoc Pennington  <hp@redhat.com>

	* src/eggcellrendererkeys.c: sync new copy of eggcellrendererkeys
	that I just fixed for #76953. Should also mean you can now have
	bindings that use Mod2-Mod5. seems to be a drawing glitch with
	underscore still, though.

2002-05-01  Havoc Pennington  <hp@redhat.com>

	* src/terminal-window.c (new_tab_callback, new_window_callback):
	oops, I had broken new-with-profile callbacks. Fix them again
	to actually use the chosen profile.

2002-05-01  Havoc Pennington  <hp@redhat.com>

	* src/terminal-window.c (terminal_window_set_active): update the
	choose-current-profile submenu when we change the active term
	(fill_in_new_term_submenus): don't name the "new terminal" item
	"Default", it was confusing. Just name it after the profile to be
	used. Don't parse mnemonics on the profile name.
	(profile_set_callback): update the choose-profile-for-this-tab
	menu

	* src/terminal.c (sync_profile_list): when profile list changes, 
	have all the open windows reread the list.

	* src/terminal-window.c (terminal_window_reread_profile_list): new
	function to reload the profile list into the menus. #78904
	(terminal_window_init): don't set up callbacks to demand-create
	the profile list menus

2002-05-01  Havoc Pennington  <hp@redhat.com>

	* src/terminal-window.c (terminal_window_remove_screen): fix crash
	on closing terminal (don't try to set size on active term 
	if we just closed the last term)

2002-05-01  Havoc Pennington  <hp@redhat.com>

	* src/eggcellrendererkeys.c: sync up to libegg, but contains no 
	important fixes.

	* src/Makefile.am (regenerate-built-sources): give full path to
	update-from-egg.sh

2002-05-01  Havoc Pennington  <hp@redhat.com>

	* src/terminal-window.c (notebook_page_switched_callback):
	maintain the same grid as we switch between tabs, so at least
	going from tab A to B to A doesn't resize the terminal 
	in the end.
	(terminal_window_remove_screen): apply the grid from the screen 
	being removed to the newly-active screen, if the removed screen 
	was active; fixes #79829

2002-05-01  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c (new_tab_callback): use default profile,
	not the profile from the current screen. part of #80166
	(new_window_callback): ditto

	* src/terminal-window.c (new_tab_callback): use the default
	profile, not the profile from the active terminal. part of #80166
	(new_window_callback): ditto

	* src/terminal.c (terminal_app_manage_profiles): have 
	option menu for setting default profile notice if the default
	profile changes. Initialize the profile menu to the current
	default. part of #80166

2002-05-01  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c (terminal_window_set_size): don't use
	gtk_window_resize on unmapped windows, it broke --geometry.
	#80063

2002-05-01  Havoc Pennington  <hp@pobox.com>

	* src/terminal-accels.c: implement option for menu accels in the
	keybindings dialog. String/screenshot change. #76845

	* src/profterm.schemas: add an option to turn off the F10
	accelerator to get to the menubar.

2002-05-01  Havoc Pennington  <hp@pobox.com>

	* src/profterm.schemas: change next/prev tab default shortcuts 
	to control page up, page down

2002-04-30  Havoc Pennington  <hp@redhat.com>

	* src/terminal.c: make --use-factory a compat option, and switch
	to callback-based option parser going via libgnome. 
	Based on patch from Deepa Chacko Pillai.

2002-04-30  Nalin Dahyabhai  <nalin@redhat.com>

	* src/terminal-widget-vte.c: hook up set_word_chars, save pid from
	forking off a command, hook up feed_child, give a better estimate of
	how much memory a line of scrollback costs.
	
2002-04-30  Havoc Pennington  <hp@redhat.com>
	
	* src/terminal.c (strip_old_args): get rid of this function,
	instead put the old args in the popt table with
	POPT_ARGFLAG_DOC_HIDDEN.

2002-04-26  Anders Carlsson  <andersca@gnu.org>

	* Push a fix from eel into here.

2002-04-26  Changwoo Ryu  <cwryu@debian.org>

	* configure.in: Added "ko" to ALL_LINGUAS.

2002-04-26  Nalin Dahyabhai  <nalin@redhat.com>

	* src/terminal-intl.h: add missing #include of locale.h.
	* src/terminal-widget-vte.c: hook up set_scrollback_lines.

2002-04-25  Havoc Pennington  <hp@redhat.com>

	* src/Makefile.am (EXTRA_DIST): add terminal-widget-*.c since
	only one can be disted by the normal rules

2002-04-25  Havoc Pennington  <hp@redhat.com>

	* configure.in: 1.9.4

2002-04-25  Havoc Pennington  <hp@redhat.com>

	* src/terminal.c (main): call setlocale() early on, just in case.

2002-04-22  Havoc Pennington  <hp@redhat.com>

	* src/profile-editor.c: support choosing a pango font for terminal
	widget implementations that handle it

	* src/terminal-screen.c (terminal_screen_update_on_realize): set
	pango font

	* src/terminal-profile.c: add the pango font setting

	* src/profterm.schemas: add setting for Pango font name

	* src/terminal-widget-vte.c (terminal_widget_set_colors): use
	TERMINAL_PALETTE_SIZE instead of hardcoded "16" for the number of
	palette entries

2002-04-21  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c (terminal_window_update_geometry): also 
	reset geometry hints if geometry widget changes. May have 
	something to do with #77529

2002-04-21  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c (terminal_window_set_size): use
	gtk_widget_size_request not gtk_widget_get_child_requisition in
	case the widget's requisition field hasn't been updated (however
	since we set usize on the widget it shouldn't matter right, but
	just ensuring we're synced with old gnome-terminal)
	(terminal_window_set_size): update the geometry hints in here
	though they will often have been already updated, we want to be
	sure they're done. Fixes shrinkage when toggling menubar on and
	off.

2002-04-21  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (terminal_util_set_atk_name_description): remove
	warnings for case where we have NoOp object, this is normal.

	* src/gnome-terminal.glade2: remove some controller relationships 
	Pasupathi says were wrong

2002-04-21  Havoc Pennington  <hp@pobox.com>

	* Makefile.am (SUBDIRS): add help subdir

	* configure.in (CFLAGS): add help makefiles

	* src/terminal-window.c (help_callback): implement

	* help/C/Makefile.am: fixes from Satyajit Kanungo

	* help/xmldocs.make: copy from
	gnome-docu/gdp/gdp-example1/help/xmldocs.make

2002-04-21  Simos Xenitellis  <simos@hellug.gr>

	* configure.in: Added "el" to ALL_LINGUAS.

2002-04-20  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (widget_label_relation_set): 
	(set_atk_name_description): move to end of file, and rename 
	to have better names. Fix indentation (2 spaces not 8). 
	Remove extra spaces in "if ( foo )"
	(terminal_util_set_atk_name_description): add warnings about 
	widgets with no GtkAccessible, why does this happen?

	* src/gnome-terminal.glade2: add reasonable names instead of
	"labelXX" for all labels referenced in labelled-by

2002-04-19 Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

	* src/terminal.c: added widget_label_relation_set() function to
	provide labelled_by relation between widgets and labels in "New
	profile" dialog and "Manage Profile" dialog. Also added
	set_atk_name_description() function to set accessible name and
	description to the widgets.

	* src/terminal.h: added function declaration to
	widget_label_relation_set() and set_atk_name_description().

	* src/gnome-terminal.glade2: Broken tooltips for color palette
	entries and accessibility features are added to the widgets.

	* src/simple-x-font-selector.c: Added atk relation and accessible
	description to Font option menu and size option menu in "Edit
	Profile" dialog.

	* src/terminal-screen.c: Added atk relation between the label and
	entry in "Set Terminal tile" dailog.

2002-04-20  Abel Cheung  <maddog@linux.org.hk>

	* help/.cvsignore, help/C/.cvsignore, omf-install/.cvsignore: New.
	* .cvsignore: Added file and sorted.

2002-04-17  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c (terminal_window_init): implement 
	the New Tab / New Window UI so you can create tabs/windows
	with a particular profile.

	Has several known bugs I'm about to file, but I wanted to 
	get some basic stubbing-out of the UI.

2002-04-16  Havoc Pennington  <hp@pobox.com>

	* Makefile.am (EXTRA_DIST): add intltool stuff to EXTRA_DIST
	(why is this suddenly needed and not before?)

	* configure.in: 1.9.3, require gtk 2.0.2 and gconf 1.1.9

2002-04-16  Jacob Berkman  <jacob@ximian.com>

	* configure.in (ALL_LINGUAS): fix previous commit

2002-04-15  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "zh_TW" to ALL_LINGUAS.

2002-04-15  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c: as a heuristic, re-read working dir in a
	low-priority idle added when title is set. Should also 
	later use got_output signal on zvt or other signal to 
	catch working dir for people without magic shell prompts.

	* src/terminal.c (terminal_app_get_clone_command): save working
	dir in the session

	* src/terminal-screen.c (terminal_screen_get_working_dir): add
	linux-specific hack to keep track of child process's working 
	directory.

	* src/terminal-widget-zvt.c (terminal_widget_fork_command): 
	add arg for working directory, return arg for child pid
	(terminal_widget_write_data_to_child): fix compile warning

2002-04-15  Abigail Brady  <morwen@evilmagic.org>

	* configure.in: Added en_GB (British) translation.

2002-04-14  Havoc Pennington  <hp@pobox.com> 
	
	Options/infrastructure to use system colors/fonts, except
	fonts are kind of screwed still. 

	(Somewhat modified patch from pasupathi.duraisamy@wipro.com,
	bug #77295)
	
	* src/profile-editor.c: add checkbutton for use theme colors

	* src/terminal-screen.c (update_color_scheme): wire up 
	code to use theme colors when appropriate
	(terminal_screen_update_on_realize): use system font 
	when appropriate

	* src/terminal-profile.c: set up the theme colors and system 
	font settings

	* src/profterm.schemas: add use_theme_colors and use_system_font
	options

2002-04-14  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c (drag_data_received): support x-moz-url
	target, which allows us to strip off file:/// from mozilla drops.

2002-04-14  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c (terminal_screen_setup_dnd): add
	drag-and-drop stuff, #76619

	* src/terminal-widget-zvt.c (terminal_widget_write_data_to_child):
	new function

2002-04-14  Havoc Pennington  <hp@pobox.com>

	* src/gnome-terminal.glade2: remove max_saved property that spewed
	warnings

	* src/terminal.c (terminal_invoke_factory): use g_printerr for
	errors
	(strip_old_args): strip out old args that are no longer supported,
	but warn about them. #76102
	(main): add --title option equivalent to Set Title menu item
	(main): scan for -x and --execute prior to gtk_init(), so you 
	can run something containing gtk args after -x
	(terminal_app_get_clone_command): save title and factory usage
	in the session
	(terminal_app_get_clone_command): do not shell quote the 
	command to be restored, because this argv is not going 
	to get shell-interpreted. (Titles and things would break 
	if it did.)

2002-04-11  Jacob Berkman  <jacob@ximian.com>

	* src/Makefile.am (EXTRA_DIST): add .server file

2002-04-11  Michael Meeks  <michael@ximian.com>

	* src/terminal.c (main): add disable_factory option
	and call terminal_init_factory.
	(terminal_invoke_factory): impl. to register and do
	remote creation if appropriate.
	(terminal_register_as_factory): impl.
	(terminal_new_event): impl.

	* src/gnome-terminal.server: add.

	* src/Makefile.am (serverdir): add
	gnome-terminal.server NB. it is imperative to have
	this installed if you want the shared mode to work.

2002-03-25 Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

	* Fix to the Bug#76269

2002-03-24  Havoc Pennington  <hp@pobox.com>

	* configure.in: 1.9.2

2002-03-24  Havoc Pennington  <hp@pobox.com>

	Fix issues that resulted in mangled terminal title.
	
	* src/terminal-screen.c
	(terminal_screen_get_title): never fall back to profile name,
	always build a real title
	(reread_profile): rebuild the title earlier in this function
	(rebuild_title): in REPLACE mode, use the initial title 
	if we don't have a raw title yet.

2002-03-24  Havoc Pennington  <hp@pobox.com>

	* src/profterm.schemas: doh, change default profile name back to
	Default, we have a separate title setting. If it's not getting 
	displayed we have other issues.

2002-03-24  Havoc Pennington  <hp@pobox.com>

	* src/profterm.schemas: name the default profile Terminal 
	rather than Default
	
2002-03-23  Havoc Pennington  <hp@pobox.com>

	* gnome-terminal.desktop.in (_Comment): remove 
	word UNIX from desktop.in, not .desktop. #73732

2002-03-18  Josh Barrow  <drleary@mac.com>

	* src/terminal-accels.c:
	* src/terminal-window.c: (terminal_window_init):
	Change string from "Set title" to "Set Title", per the HIG.

2002-03-18  Anders Carlsson  <andersca@gnu.org>

	* src/eel/Makefile.am:
	* src/eel/eel-art-extensions.c:
	* src/eel/eel-art-extensions.h:
	* src/eel/eel-debug.c:
	* src/eel/eel-debug.h:
	* src/eel/eel-glib-extensions.c:
	* src/eel/eel-glib-extensions.h:
	* src/eel/eel-lib-self-check-functions.h:
	* src/eel/eel-pango-extensions.c:
	(eel_pango_layout_fit_to_dimensions),
	(eel_pango_font_description_get_largest_fitting_font_size):
	* src/eel/eel-pango-extensions.h:
	* src/eel/eel-self-checks.c:
	* src/eel/eel-self-checks.h:
	* src/eel/eel-string-list.c:
	* src/eel/eel-string-list.h:
	* src/eel/eel-string.c:
	Reduce number of needed eel files since we don't need the 
	self-check code anymore.
	
2002-03-18  Havoc Pennington  <hp@pobox.com>

	* src/profterm.schemas: make Alt+- Alt++ bindings use 
	Shift as well by default

	* src/terminal-screen.c (terminal_screen_edit_title): increase the
	default	size of the window, and make it resizable

Sun Mar 17 23:18:43 2002  Jonathan Blandford  <jrb@redhat.com>

	* src/gnome-terminal.glade2: make swindow AUTOMATIC, NONE
	* src/eggcellrendererkeys.c: update from CVS.

2002-03-17  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (terminal_app_new_profile): pack labels
	expand/fill = TRUE

2002-03-17  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c: add menu item to set terminal title.
	#74601

	* src/terminal-screen.c (terminal_screen_edit_title):
	function to pop up a dialog to edit the dynamic title

	* src/terminal.c (terminal_app_new_profile): align labels as in
	profile editor
	(set_default_icon): fix error printing

2002-03-17  Havoc Pennington  <hp@pobox.com>

	* src/profile-editor.c: Hook up icon picker to set terminal icon

	* src/terminal-profile.c (terminal_profile_set_icon_file): allow
	NULL filename which means unset the icon

	* src/terminal-widget-zvt.c (terminal_widget_new): increase
	robustness vs. failure to load fonts

	* src/terminal.c (main): set the default icon, #74600

2002-03-17  Havoc Pennington  <hp@pobox.com>

	* src/simple-x-font-selector.c (egg_xfont_selector_init): don't
	use "b" for mnemonic, already used twice. Translate the bold
	checkbutton. Pack everything in a table so we can align the
	checkbutton with the option menu. Tweak paddings and things.

	* src/gnome-terminal.glade2: fix up a bit to make stuff 
	align well with the fontsel.

	* src/profile-editor.c: add lame hack to put "Profile name"
	label in a size group with one of the labels in the font 
	selector.

2002-03-17  Havoc Pennington  <hp@pobox.com>

	* src/gnome-terminal.glade2: Get rid of pointless Font label
	around font selector, just leave an empty hbox. Packing 
	still needs a bit more help, about to do that.

	* src/simple-x-font-selector.c (update_family_menu): show menu
	items before adding them to option menu, to avoid size request
	screwups.
	(egg_xfont_selector_init): don't put (pixels) after Size, it's
	implied, say "Font name" not "Family"
	(update_size_menu): don't put an asterisk after the bitmap sizes, 
	no one will know what it means anyhow. We should just globally 
	disable scaled bitmaps probably, if we haven't.

2002-03-17  Mark Patton  <mpatton@jhu.edu>

	* src/gnome-terminal.glade2, src/profile-editor.c,
	  src/simple-x-font-selector.h:
	  Added the font selector to the main preferences tab.

2002-03-17  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c (terminal_window_add_screen: when adding a
	new screen, set its size to the size of the current active screen.
	Fixes #71708, at least as long as all your tabs use the same 
	font.

2002-03-16  Havoc Pennington  <hp@pobox.com>

	This doesn't work really, I'm not sure yet where the bug is.
	
	* src/terminal-screen.c (terminal_screen_update_on_realize): also
	set size even if mapped here, so changing fonts puts our size
	back where it should be.

	* src/terminal-window.c (terminal_window_set_menubar_visible): set
	size here so show/hide menubar doesn't break the grid size
	(terminal_window_set_active): resize here even if we're already
	mapped so that adding/removing notebook tabs doesn't break the
	gridded size.

2002-03-13  Havoc Pennington  <hp@pobox.com>

	* src/profterm.schemas: change default accelerators to 
	Ctrl+Shift to avoid conflicting with terminal apps.

2002-03-16  Szabolcs Ban  <shooby@gnome.hu>

	* configure.in: Added "hu" to ALL_LINGUAS.

2002-03-16  Mark Patton  <mpatton@jhu.edu>

	* src/profile-editor.c:
	Set the default font in the font selector to the current font.

2002-03-16  Mark Patton  <mpatton@jhu.edu>

	* src/simple-x-font-selector.c, src/simple-x-font-selector.h:
	Added check button for bold font.
	Minimized the number of changed signals emitted.
	Added missing copyright info.

2002-03-16  Wang Jian  <lark@linux.net.cn>

	* configure.in: Added "zh_CN" to ALL_LINGUAS.

2002-03-13  Havoc Pennington  <hp@pobox.com>

	* src/gnome-terminal.glade2: Move Scrolling onto a separate tab
	to try and unclutter the first tab.

2002-03-13  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (save_yourself_callback): hook up session
	management, #71443

2002-03-13  Havoc Pennington  <hp@pobox.com>

	* src/profterm.schemas: change default font to be a full XLFD
	#74282

2002-03-13  Anders Carlsson  <andersca@gnu.org>

	* src/terminal-widget-vte.c (terminal_widget_set_size): 
	It's vte_terminal_set_size, not vte_terminal_size_set.

	* configure.in:
	* src/Makefile.am:
	Add correct support for --with-widget=vte
	
2002-03-13  Bill Nottingham <notting@redhat.com>

	* src/profile-editor.c: (x_font_clicked):
	Use the filter; it appears to work. Set default
	filter to 'Roman' or 'Other' slants, and
	'medium' and 'regular' weights.

2002-03-12  Josh Barrow  <drleary@mac.com>

	* src/terminal-accels.c:
	* src/terminal-screen.c: (terminal_screen_do_popup):
	* src/terminal-window.c: (terminal_window_init):
	Fixed up more strings to match capitalization in the HIG.

2002-03-12  Josh Barrow  <drleary@mac.com>

	* src/terminal-window.c: (terminal_window_init):
	Changed capitalization of menu items to match spec in the HIG, 
	also, I gave the Help Contents menu item a stock icon.

2002-03-12  Benedikt Roth  <Benedikt.Roth@gmx.net>

	* src/terminal-accels.c: (terminal_edit_keys_dialog_new):
	I18N fix so that the menus will show up translated.

2002-03-12  Benedikt Roth  <Benedikt.Roth@gmx.net>

	* src/terminal-window.c: (about_callback):
	Make translation credits actually translatable.
	Use the gnome-terminal logo.

2002-03-11  Jonathan Blandford  <jrb@redhat.com>

	* src/profterm.schemas: Add a bunch of new keybindings
	* src/terminal-accels.c: (terminal_accels_init),
	(keys_change_notify), (accel_changed_callback), (sync_handler),
	(accel_set_func), (name_compare_func), (accel_compare_func),
	(accel_edited_callback), (terminal_edit_keys_dialog_new): Rewrite
	tree code a lot.  Clean up some.  Add a bunch of new keybindings.
	* src/terminal-accels.h: New keybindings
	* src/terminal-screen.c: (terminal_screen_do_popup): Use keybindings
	* src/terminal-window.c: (terminal_window_init): Use keybindings

2002-03-11  Anders Carlsson  <andersca@gnu.org>

	* src/terminal-widget-vte.c: Fill in some blanks.

2002-03-11  Mark Patton  <mpatton@jhu.edu>

	* src/simple-x-font-selector.c:
	Added missing gtk_widget_show when updating the family menu.

2002-03-10  Havoc Pennington  <hp@pobox.com>

	* src/Makefile.am (gnome_terminal_SOURCES), src/profile-editor.c:
	add Mark Patton's simple-x-font-selector, to give it a try. In a
	dialog for now, to avoid munging the glade file while testing and
	because I'm worried we'll need to add more fields - and I'm not
	sure how to put them in the main dialog without causing a lot of
	clutter.

2002-03-10  Mark Patton  <mpatton@jhu.edu>

	* src/simple-x-font-selector.c, src/simple-x-font-selector.h:
	Added a simplified version of x-font-selector meant to be used
	as a component in a dialog box, not as a separate dialog box.

2002-03-10  Havoc Pennington  <hp@pobox.com>

	* src/profile-editor.c (terminal_profile_edit): wire up "reset
	compat options to defaults" button and remove "allow wrong encoded
	fonts" checkbutton

2002-03-10  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (profile_activated_callback): double-clicking a
	row edits it, #73807

2002-03-09  Havoc Pennington  <hp@pobox.com>

	* src/profile-editor.c: clean up "edited_cb" from when the
	keybindings stuff was in here

	* src/terminal-window.c: adapt to abstraction

	* src/profile-editor.c (BYTES_PER_LINE): adapt to abstraction

	* src/terminal-screen.c: use terminal-widget.h abstract interface

	* src/terminal-widget-zvt.c: wall libzvt off in this file, so we
	can easily plug another terminal widget should one become
	finished. Gives us redundancy, in case no one fixes zvt, makes it
	easy to fool with other widgets, and organizes the code more
	nicely anyhow.

2002-03-09  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.in: Added Portuguese (pt) to ALL_LINGUAS.

2002-03-09  Kjartan Maraas  <kmaraas@gnome.org>

	* src/gnome-terminal.glade2: s/menu bar/menubar.

2002-03-09  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (main): init libgnomeui, patch from Johan
	Dahlin. #74022

2002-03-09  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c (terminal_window_remove_screen):
	reset_tab_menuitems only after setting the active terminal
	(terminal_window_remove_screen): update the sensitivity of the 
	next/prev tab menu items #73969

	* src/terminal-screen.c (reread_profile): only scroll if the
	background is image, not if it's transparent #73757

2002-03-09  Havoc Pennington  <hp@pobox.com>
	
	* src/profile-editor.c (terminal_profile_edit): set initial value
	of color scheme menu, #73906

	* gnome-terminal.desktop (Comment): change comment to avoid the
	word UNIX, #73732

2002-03-06  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "tr" to the languages list.

2002-03-06  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in: Added "lt" to ALL_LINGUAS.

2002-03-05  Carlos Perello Marin <carlos@gnome-db.org>

	* configure.in: Added "es" to ALL_LINGUAS.

2002-03-05  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* configure.in: Added "sk" to ALL_LINGUAS.

2002-03-04  Havoc Pennington  <hp@pobox.com>

	* src/eel/Makefile.am (INCLUDES): distcheck fix

	* configure.in: 1.9.1

	* src/terminal-window.c (terminal_window_update_geometry): repair
	a comment

2002-03-03  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c (terminal_screen_do_popup): init menu_item
	before use.

2002-03-03  Havoc Pennington  <hp@pobox.com>

	* src/terminal-accels.c (D): debug spew off

2002-03-03  Havoc Pennington  <hp@pobox.com>

	* src/terminal-accels.c: get rid of attempt to track our own copy
	of gtk keyval/modmask because we don't get notification when 
	a keybinding is removed. Instead, always re-query the GTK values
	when syncing to gconf. Also, avoid setting gconf keys out of gconf
	notifier. Finally, adapt to EggCellRendererKeys changes.

	* src/terminal-screen.c (terminal_screen_do_popup): add missing
	accel paths

	* src/terminal-accels.c: add more accels
	(binding_from_string): support "disabled" value for accelerators
	to mean turned off
	(sync_handler): don't leak accel name, and support 
	"disabled" if the accel is unset.
	(accel_set_func): fix mem leak
	(accel_compare_func): fix mem leak

	* src/terminal-window.c: add more accels
	(terminal_window_init): fix conflicting mnemonic for "new
	profile"/"new window"

2002-03-02  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c: add fullscreen mode, just for kicks

2002-03-02  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c (terminal_window_init): add the accel 
	group to the window so accels really work

	* src/gnome-terminal.glade2: make keybindings dialog 
	!visible initially (glade shouldn't be setting toplevels to
	visible...)

	* src/terminal-window.c: make Go menu work with the list 
	of tabs, have accelerators to switch between tabs

2002-03-02  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c: rearrange the menus

	* src/terminal-accels.c (terminal_edit_keys_dialog_new):
	set initial state of "disable mnemonics" checkbutton

	* src/terminal-window.c (terminal_window_init): create a new accel
	group for each window, and the popup menu, to avoid doing things 
	twice.

2002-03-02  Havoc Pennington  <hp@pobox.com>

	* src/terminal-accels.c: wire things up to work, more or less

	* src/Makefile.am: set up to do automated cut-and-paste from
	libegg instead of manual cut-and-paste

2002-03-02  Havoc Pennington  <hp@pobox.com>

	Get keybindings dialog coming onscreen. Now just need to 
	wire up the options in here, and add all the keybindings.

2002-03-02  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c (about_callback): fix the weak pointer
	setup
	(terminal_window_init): use GNOME stock menu item for about

	* src/profterm.schemas: added a "new tab" keybinding, trying to 
	get one binding working first
	
	* src/terminal-window.c: monitor gconf for window-related settings
	(initially be "enable/disable mnemonics", currently nothing).
	Set up accel map connections for keybindings.

2002-03-02  Tivo LeedjÃ¯Â¿Â½v  <leedjarv@interest.ee>

	* configure.in: Added et to ALL_LINGUAS.

2002-03-01  Pauli Virtanen  <pauli.virtanen@hut.fi>

	* configure.in (ALL_LINGUAS): Added "fi" (Finnish).

2002-02-27  Christian Meyer  <chrisime@gnome.org>

	* configure.in: Added 'da de' to ALL_LINGUAS.

2002-02-27  Gediminas Paulauskas <menesis@delfi.lt>

	* src/terminal-profile.c: change rxvt colors to match those from
	rxvt sources (#72780, by Ryan Lovett <ryan@ocf.berkeley.edu>).

2002-02-26  Havoc Pennington  <hp@pobox.com>

	Deprecation fixes from Deepa Chacko Pillai
	
	* src/x-font-selector.c: undef
	GTK_DISABLE_DEPRECATED/GDK_DISABLE_DEPRECATED in here, too hard to
	fix. Leave G_DISABLE_DEPRECATED though and fix a couple things.

	* src/eggcellrendererkeys.c
	(egg_cell_renderer_keys_start_editing): deprecated fix

	* src/terminal-screen.c (terminal_screen_update_on_realize): cheat 
	and allow deprecated GdkFont in here

	* src/terminal.c (profile_optionmenu_set_selected): fix deprecated
	function use

	* src/profile-editor.c (profile_editor_update_cursor_blink): fix
	deprecated function use

	* src/Makefile.am (INCLUDES): add -DGTK_DISABLE_DEPRECATED
	-DGDK_DISABLE_DEPRECATED -DG_DISABLE_DEPRECATED
	-DGNOME_DISABLE_DEPRECATED
	
2002-02-26  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c (terminal_window_init): fix 
	conflicting mnemonics for closewindow/closetab, 
	#72121 from dpasupathi@yahoo.com

2002-02-27  Zbigniew Chyla  <cyba@gnome.pl>

	* .cvsignore: Added gnome-terminal.desktop.

	* src/profterm.glade.h: Removed unused file.

2002-02-25  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c, src/terminal-window.c: Fixes so the
	initial size is correct, #72041 from frb

2002-02-24  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c (reread_profile): wire up prefs

	* src/profile-editor.c: wire up remaining prefs, except font

2002-02-24  Havoc Pennington  <hp@pobox.com>

	* src/profterm.schemas: fix type of scroll_background

	* src/terminal-profile.c: swap green and blue in all the default 
	palettes, so things don't look like butt; oops.

2002-02-24  Zbigniew Chyla  <cyba@gnome.pl>

	* configure.in (ALL_LINGUAS): Added pl (Polish).

2002-02-24  Havoc Pennington  <hp@pobox.com>

	* src/profterm.schemas, src/terminal-profile.c: add
	remaining prefs that aren't hooked up. (Not yet hooked up, 
	just in the profile object.)

2002-02-24  Havoc Pennington  <hp@pobox.com>

	* src/profile-editor.c (terminal_profile_edit): remove
	keybindings-related stuff, will now be in a separate window

	* src/profile-editor.c (profile_editor_get_widget): make it a
	fatal error if a glade widget isn't found

	* src/Makefile.am: switch to using native glade2 file. 
	(cross fingers, pray to Damon)

	* src/gnome-terminal.glade2: move Keybindings to a separate
	dialog, since it won't be per-profile.	

2002-02-24  Hasbullah Bin Pit <sebol@ikhlas.com>

	* configure.in: Added Malay (ms)to ALL_LINGUAS.
	* po/ms.po: Added Malay Translation.

2002-02-22  jacob berkman  <jacob@ximian.com>

	* Makefile.am (EXTRA_DIST): fix typos, missed removals

2002-02-21  Havoc Pennington  <hp@pobox.com>

	* autogen.sh: check for and run intltoolize

2002-02-21  Havoc Pennington  <hp@pobox.com>

	* autogen.sh: revert change to gnome-common crackola. No
	gnome-common crackola in here. Will investigate intltool issue in
	a sec.

	* Makefile.am: remove icon from here, it was already in
	src/gnome-terminal.png

2002-02-18  Seth Nickell  <snickell@stanford.edu>

	* autogen.sh:

	Use the common GNOME autogen.sh (to make intltool
	work correctly)
	
	* configure.in:

	Use INTLTOOL for merging translations into the
	.desktop file.
	
	* Makefile.am:
	* gnome-terminal.desktop.in:
	* gnome-terminal.png:

	Install a .desktop file and an icon.
	
2002-02-17 John Fleck <jfleck@inkstain.net>

	* help/Makefile.am
	* help/C/Makefile.am
	* help/C/gnome-terminal-C.omf
	* help/C/gnome-terminal.xml
	* help/C/legal.xml
	* omf-install/Makefile.am
	adding help stuff with placeholder help doc (not added
	into the build yet)

2002-02-17  Havoc Pennington  <hp@pobox.com>

	* src/profile-editor.c: do all the work, except that instead of 
	popping up the fontsel dialog, pop up a message box explaining
	what needs fixing.

	* src/terminal-screen.c (terminal_screen_update_on_realize): load
	font from the profile

	* src/terminal-profile.c: add X font setting

	* src/x-font-selector.h, src/x-font-selector.c:
	copy in Michael's port of 1.2 X font selector to
	GTK 2. This still needs a lot of work. :-/
	http://bugzilla.gnome.org/show_bug.cgi?id=71744
	
2002-02-16  Havoc Pennington  <hp@pobox.com>

	* src/profterm.glade: add missing tooltip to palette 
	entry 8, reword shade-background checkbox, turn off 
	initial visible state for the dialog to avoid jumping

2002-02-16  Havoc Pennington  <hp@pobox.com>

	* src/profile-editor.c: wire up palette stuff

	* src/profterm.glade: remove bogus <child_name> from notebook 
	widget that caused a libglade warning

	* src/terminal-profile.c (set_visible_name): fix return value
	(set_title): fix return value
	(set_word_chars): fix return value
	(set_custom_command): fix return value
	(set_icon_file): fix return value
	(gconf_string_to_enum): macro to remove const warnings
	(gconf_enum_to_string): macro to remove const warnings

	* src/terminal-profile.h: add palette setting

	* src/terminal-screen.c (update_color_scheme): use color scheme
	from profile instead of hardcoded

2002-02-16  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c: silently accept --use-factory for now so 
	launchers will work

2002-02-16  Havoc Pennington  <hp@pobox.com>

	* src/eel/*: semi-automated cut-and-paste of part of Eel. None of
	the files are modified from the originals; there's a Makefile
	target to update them from the Eel sources.
	
	* src/terminal-window.c (terminal_window_add_screen): set "tab
	label packing" in the notebook so that tabs are EXPAND, so we 
	can have an ellipsizing label with 0 width request
	(terminal_window_add_screen): use EelEllipsizingLabel for the 
	notebook tabs, to avoid ever scrolling, though you can get 
	really small tabs...

2002-02-16  Havoc Pennington  <hp@pobox.com>

	Throughout: destroy concept of "special" default profile, 
	now any profile can be renamed/deleted.
	
	* src/profterm.schemas: s/profterm/gnome-terminal so we get schema 
	defaults

	* src/terminal-profile.c (terminal_profile_new): add profile dir
	to the GConfClient
	(terminal_profile_forget): remove profile dir

	* src/terminal.c (main): only preload prefix/global not prefix/* 
	so that old profile cruft won't slow things down

2002-02-16  Havoc Pennington  <hp@pobox.com>

	* src/terminal-profile.c (terminal_profile_delete_list): remove
	debug spew

	* src/terminal.c: implement "manage profiles" dialog

	* src/terminal-window.c: add "manage profiles" menu item

2002-02-16  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c (terminal_screen_do_popup): never remove
	Open/Copy Link items, just make them insensitive

2002-02-16  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c: add and use --geometry option. You need 
	very latest GTK for this to work since I just fixed 
	gtk_window_parse_geometry().

	* src/terminal-window.c (set_size): only set default size here, 
	so we can parse_geometry later and have it work; but I don't 
	really understand why gtk_window_resize() was used before, so this
	might hose something.

2002-02-15  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c (terminal_screen_update_on_realize): fix 
	#71505 from frb, had set_fonts() backward so allow_bold setting 
	was reversed

2002-02-15  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (main): make option parsing accept exactly the
	same --command/-e/--execute/-x options as gnome-terminal and
	handle them the same way.
	(terminal_app_get_clone_command): record the --command or
	--execute argv for each tab in the session

	* src/terminal-screen.c (get_child_command): use override command
	if any
	(terminal_screen_set_override_command): allow setting an override
	command

2002-02-14  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c (secure_keyboard_callback): disable the
	secure keyboard thing, until someone gives a compelling
	justification for this feature.
	(terminal_screen_do_popup): add copy/paste and copyurl/openurl 
	to the popup menu
	(terminal_screen_init): add match regexps for URLs
	(terminal_screen_button_press_event): control-click to open 
	a URL

Thu Feb 14 15:53:42 2002  Owen Taylor  <otaylor@redhat.com>

	* src/terminal-screen.c (reread_profile): For now, just hardwire
	the backspace and delete keys correctly * Needs to be wired up for
	people that expect brokenness later. 

2002-02-13  Christophe Merlet  <redfox@eikonex.org>

	* configure.in: Added "fr" to ALL_LINGUAS.

2002-02-13  Laszlo Peter  <laca@ireland.sun.com>

	* src/terminal-window.c: add a dummy entry to the signal enum so
	  the signals array is not empty. (breaks the build with Forte C)

2002-02-12  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "sv" to ALL_LINGUAS.

2002-02-12  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c (about_callback): don't mark empty string 
	for translation, reported by Christian Rose, and some formatting
	cleanups

	* Makefile.am, configure.in: put po subdir back in, since we
	have some translations

2002-02-12  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added "no" to ALL_LINGUAS.
	
2002-02-10  Havoc Pennington  <hp@pobox.com>

	* src/Makefile.am: EXTRA_DIST the icon

	* configure.in, Makefile.am: temporarily remove gettext stuff
	since it annoyingly doesn't work unless you have at least one 
	po file

	* src/Makefile.am (bin_PROGRAMS): rename binary to gnome-terminal

Sun Feb 10 16:36:22 2002  Jonathan Blandford  <jrb@redhat.com>

	* src/eggcellrendererkeys.c: New cell renderer.  Displays key
	bindings.

	* src/profile-editor.c (terminal_profile_edit): add simple test
	list for new Cell renderer.  I'll let hp hook it up to something
	useful.

2002-02-10  Havoc Pennington  <hp@pobox.com>

	* configure.in: change name to gnome-terminal version 
	1.9.

	Throughout: rename various profterm things to gnome-terminal

2002-02-09  Havoc Pennington  <hp@pobox.com>

	* src/terminal.c (main): call gnome_program_init()

	* src/Makefile.am (INCLUDES): define assorted gunge for
	gnome_program_init()

	* src/terminal-window.c, src/terminal-screen.c: implement icon
	preference

	* src/terminal-profile.c: add an icon preference

	* src/Makefile.am (icon_DATA): install an icon

2002-02-08  Havoc Pennington  <hp@redhat.com>

	* src/profile-editor.c (profile_editor_destroyed): disconnect
	signal handlers on the profile that had the editor as user data, 
	to avoid crash.

2002-02-08  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c (terminal_window_add_screen): update
	scrollbar after the show all so that disabled scrollbars don't
	appear when you first open a tab/window.

2002-02-08  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c (terminal_screen_button_press_event): also
	grab focus on button 2 click

	* src/terminal-window.c (terminal_window_set_active): grab focus
	on terminal screens when we make them active

2002-01-26  Josh Barrow  <drleary@mac.com>

	* src/terminal-window.c: (about_callback):
	Added an about box.

2002-01-25  Havoc Pennington  <hp@pobox.com>

	* src/terminal-window.c (terminal_window_set_active): fix that
	annoying get-larger-on-each-tab-switch thing

2002-01-24  Havoc Pennington  <hp@pobox.com>

	* src/profterm.schemas: add exit_action, login_shell,
	update_records, use_custom_command, custom_command

	* src/profile-editor.c: edit them here

	* src/terminal-screen.c: implement them here

	* src/terminal-profile.c: add new prefs here
	
2002-01-23  Havoc Pennington  <hp@pobox.com>

	* src/profile-editor.c: improve BYTES_PER_LINE estimate

2002-01-22  Havoc Pennington  <hp@redhat.com>

	* src/terminal-profile.c (terminal_profile_init): always have a
	non-NULL string for word chars

2002-01-22  Anders Carlsson  <andersca@gnu.org>

	* src/terminal.c (create_profile_list): Select first row.
	(terminal_app_delete_profiles): Set scrolled window shadow type.

2002-01-22  Havoc Pennington  <hp@pobox.com>
	
	* src/profterm.schemas: schemas for allow_bold, silent_bell,
	word_chars, scrollbar_position, scrollback_lines,
	scroll_on_keystroke, scroll_on_output
	
	* src/profile-editor.c: edit them here

	* src/terminal-screen.c: implement them here

	* src/terminal-profile.c: add new prefs here

2002-01-21  Havoc Pennington  <hp@pobox.com>

	* src/terminal-profile.c, src/terminal-profile.h, 
	src/terminal-screen.c, src/profile-editor.c: 
	implement the title and title mode preferences

	* src/terminal-window.c (terminal_window_set_active): be sure
	terminal is realized

	* src/terminal-screen.c (terminal_screen_init): disable Zvt's
	auto-window-hint thingy

2002-01-20  Havoc Pennington  <hp@pobox.com>

	* src/profile-editor.c, src/terminal-profile.[hc]:
	fore/background color preference
	(profile_changed): do the thing where we update prefs
	dialog when gconf keys change, jrb was right it's needed
	for the case where widgets in the dialog interact

	* src/profterm.schemas: add foreground/background color

Fri Jan 18 20:40:05 2002  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Save value of ACLOCAL_FLAGS.

2002-01-17  Havoc Pennington  <hp@pobox.com>

	* more work on prefs

2002-01-16  Havoc Pennington  <hp@pobox.com>

	* src/profile-editor.c (terminal_profile_edit): load the glade
	file. do nothing useful to it.

2002-01-16  Havoc Pennington  <hp@pobox.com>

	* configure.in: fixes

	* autogen.sh: get rid of horrible "autogen subdirs" feature and 
	fix to use glib-gettextize

2002-01-16  Havoc Pennington  <hp@pobox.com>

	* src/profile-editor.c: new file to hold profile editor using 
	glade and stuff

	* src/profterm.glade: glade file

	* src/terminal-intl.h: consolidate intl stuff

2001-12-12  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c (reread_profile): redo title if 
	we switch profiles since title contains profile name.

	* src/terminal-window.c (paste_callback): implement
	(copy_callback): implement

	* src/terminal-screen.c (terminal_screen_button_press_event):
	focus terminal when it's clicked, so you can get out of the
	I-focused-a-notebook-tab state

	* src/terminal-window.c (terminal_window_remove_screen): close
	window if no more terminals
	(terminal_window_init): put the notebook in scroll-arrow mode.

	* src/terminal-screen.c: hook up to child_died and handle that

2001-12-11  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c (terminal_screen_zvt_title_changed):
	handle title changes

2001-12-11  Havoc Pennington  <hp@pobox.com>

	* src/terminal-screen.c (terminal_screen_popup_menu_mouse): return
	a sane value, so we don't disable selecting text.

2001-12-07  Havoc Pennington  <hp@pobox.com>

	* Initial import; not good for much.

